(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      5881,        195]*)
(*NotebookOutlinePosition[      6965,        230]*)
(*  CellTagsIndexPosition[      6921,        226]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[
"1. Arithmetic: Syntax, Data Types, Operators, and Expressions"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision: January 15 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Personal Information"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"Name: \nE-mail: \nWeb address?: \nDorm & Room #: \nPhone: 896-\nAdvisor: "], 
  "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"MWF Schedule:\n 8:30- 9:20: \n 9:30-10:20: \n10:30-11:20: \n11:30-12:20: \n\
12:30- 1:20: \n 1:30- 2:20: \n 2:30- 3:20: \n 3:30- 4:20: \n    evening: "], 
  "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontFamily->"Courier",
  FontSize->10],

Cell[TextData[{
  "TuTh Schedule:\n 8:30- 9:45: ",
  StyleBox["CSC 121",
    FontColor->RGBColor[1, 0, 0]],
  "\n10:00-11:15: \n11:30-12:45: \n 1:00- 2:15: \n 2:30- 3:45: \n    evening: \
"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontFamily->"Courier",
  FontSize->10],

Cell[TextData[
"Describe your previous computer experience:\n   PC experience:  \
IBM-compatible?  Mac? \n   word processing?  web browsing?  e-mail? \n   \
programming? \n      language(s): \n      how? (HS-AP-college course?; \
self-taught?)\n      proficiency level: (1=novice..2..3..4..5=professional)\n \
  network experience? \n   "], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"What role does this course play in your academic plans?\n"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"What was your last mathematics course?  ... When did you take it?\n"], "Text",\

  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"What is your most significant achievement in a mathematics or computing \
course?\n"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Exercise"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "Your first exercise is to decide on the order (i.e., ",
  StyleBox["x ",
    FontSlant->"Italic"],
  "< ",
  StyleBox["y ",
    FontSlant->"Italic"],
  "< ",
  StyleBox["z",
    FontSlant->"Italic"],
  ") among the three numbers  ",
  StyleBox["Pi", "Input",
    FontWeight->"Plain"],
  ", ",
  StyleBox["22/7", "Input",
    FontWeight->"Plain"],
  " and ",
  StyleBox["355/113", "Input",
    FontWeight->"Plain"],
  ", so that we will know which is smallest, which largest. "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "For your first effort, use the \"",
  StyleBox["N[]", "Input",
    FontWeight->"Plain"],
  "\" function to find a decimal approximation for each number.  Click \
between this cell and the one just above (you should see a horizontal line); \
then, start typing to create an input cell (remember to use ",
  StyleBox["enter",
    FontSlant->"Italic"],
  ", or ",
  StyleBox["shift-return",
    FontSlant->"Italic"],
  " to execute an input cell).  You may create several input cells this way \
and, certainly, you can go back and change a cell and try again.  See if you \
can distinguish the order of these numbers just by using the \"",
  StyleBox["N[]", "Input",
    FontWeight->"Plain"],
  "\" function.  Then, redo the problem using the symbols < and >  to compare \
numbers, as described in Lesson 1. "
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "When you are finished, make sure that your instructor has a copy of your \
completed work.  Save a copy under a file name identifying both the \
assignment and the author (you) (e.g., ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["HW01-MyName.nb",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  ").  Drag a copy of this file to your instructor's drop box on the network, \
and bring a printed copy to our next class.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{44, Automatic}, {Automatic, 1}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@6SDJ0000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 137, 3, 174, "Title",
  Evaluatable->False],
Cell[1871, 56, 99, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1995, 62, 97, 2, 50, "Section",
  Evaluatable->False],
Cell[2095, 66, 151, 4, 110, "Text",
  Evaluatable->False],
Cell[2249, 72, 269, 7, 164, "Text",
  Evaluatable->False],
Cell[2521, 81, 290, 10, 103, "Text",
  Evaluatable->False],
Cell[2814, 93, 396, 7, 129, "Text",
  Evaluatable->False],
Cell[3213, 102, 132, 3, 38, "Text",
  Evaluatable->False],
Cell[3348, 107, 144, 4, 38, "Text",
  Evaluatable->False],
Cell[3495, 113, 158, 4, 38, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[3690, 122, 85, 2, 30, "Section",
  Evaluatable->False],
Cell[3778, 126, 555, 22, 49, "Text",
  Evaluatable->False],
Cell[4336, 150, 885, 21, 130, "Text",
  Evaluatable->False],
Cell[5224, 173, 629, 18, 80, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

