(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     35846,        774]*)
(*NotebookOutlinePosition[     36953,        810]*)
(*  CellTagsIndexPosition[     36909,        806]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData["2. Course Goals and Themes:   Homework"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Author: ",
    CellFrame->True,
    Evaluatable->False,
    AspectRatioFixed->True,
    Background->GrayLevel[0.899992]],
  StyleBox["YourNameGoesHere",
    CellFrame->True,
    Evaluatable->False,
    AspectRatioFixed->True,
    Background->GrayLevel[0.899992],
    FontVariations->{"Underline"->True}],
  StyleBox["",
    CellFrame->True,
    Evaluatable->False,
    AspectRatioFixed->True,
    Background->GrayLevel[0.899992]]
}], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell["Last revision:  January 13 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "Keep in mind that although you may have Mathematica input cells which \
derive the answer to a given question, it is always better to follow your \
Mathematica code with a ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["text",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontVariations->{"Underline"->True}],
  StyleBox[
  " cell explaining your answer in complete sentences.  Not only is it \
better, but it will earn your more credit!",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "When you are finished, make sure that your instructor has a copy of your \
completed work.  Save a copy under a file name identifying both the \
assignment and the author (you) (e.g., ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["HW02-MyName.nb",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  ").  Drag a copy of this file to your instructor's drop box on the \
network.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solving Equations", "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["1. Determine the intersection points of \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["x^4+x^3-x^2",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Sin[x]+Cos[x]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["2. Use \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["?Solve",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" or the Help facility to learn about the Mathematica function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Solve[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", and then find the solutions to\n",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["     x^2 + y^2 = 8\n     (x - 4)^2 + (y + 1)^2 = 4\n",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "for x and y.  Hint:  the equations should be in one list, and the \
variables in another.  Remember to use double equals signs!",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Tradeoffs"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["3. We have a function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["f",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" into which we can only input a positive integer.  Suppose that we have \
one method for computing the values which takes 10 seconds each time we \
execute the method.  Suppose also that we have another method which takes 5 \
seconds if the input value is odd, and 20 seconds if the input value is even. \
 Which method would you use, and why?  Under what conditions would each \
method perform better?",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"4. Two students present programs to an instructor.  Both programs appear \
solve the problem as stated.  The first program is difficult to read, with \
few comments and an algorithm which it is hard to confirm would work for all \
input values; however, the program executes in 1 second.  The second is well \
documented yet uses a terribly slow algorithm and executes in 20 seconds; \
however, it is easily shown that the algorithm works in all cases.  Which \
program is better?"], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["5.  We have a function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["f",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" into which we can input any integer.  The function should return a 0 if \
the input value is 369; otherwise it should return a 1.  Two programs are \
submitted to an instructor which purport to solve the problem, but this time \
the instructor cannot check the algorithms or the source code.  The first \
program executes in 1 second every time, while the second program executes in \
2 seconds every time.  The instructor attempts to check correctness by \
running each program with the input values 0, 1, 2, ..., 200, and both \
programs work.  How should the instructor grade the assignment?  What issues \
about correctness and evaluation appear in this situation?  ",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "6. Seven cities are connected by a series of toll roads, as shown below.  \
The price of the toll appears on the road.  Suppose we want to write a \
function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["bestRoute[i,j]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" which will  tell us the cheapest route to get from city \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["i",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" to city \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["j",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\". The user first asks for the cheapest route from city 1 to city 2, and \
after a good deal of computation our function returns the correct route \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["1->5->6->2",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\". Discuss the possible benefits of storing this result based on the \
assumption that the user might next request \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["bestRoute[5,2]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.142857 0.714286 0.142857 0.714286 [
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
[ ] 0 setdash
0 g
p
P
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
p
p
.025 w
.72097 .77824 Mdot
.41499 .84807 Mdot
.16961 .65239 Mdot
.16961 .33854 Mdot
.41499 .14286 Mdot
.72097 .2127 Mdot
.85714 .49547 Mdot
.004 w
.72097 .77824 m
.41499 .14286 L
s
.72097 .77824 m
.85714 .49547 L
s
.41499 .84807 m
.16961 .65239 L
s
.41499 .84807 m
.72097 .2127 L
s
.16961 .65239 m
.41499 .84807 L
s
.16961 .65239 m
.16961 .33854 L
s
.16961 .65239 m
.72097 .2127 L
s
.16961 .33854 m
.16961 .65239 L
s
.16961 .33854 m
.41499 .14286 L
s
.16961 .33854 m
.72097 .2127 L
s
.16961 .33854 m
.85714 .49547 L
s
.41499 .14286 m
.72097 .77824 L
s
.41499 .14286 m
.16961 .33854 L
s
.41499 .14286 m
.72097 .2127 L
s
.41499 .14286 m
.85714 .49547 L
s
.72097 .2127 m
.41499 .84807 L
s
.72097 .2127 m
.16961 .65239 L
s
.72097 .2127 m
.16961 .33854 L
s
.72097 .2127 m
.41499 .14286 L
s
.85714 .49547 m
.72097 .77824 L
s
.85714 .49547 m
.16961 .33854 L
s
.85714 .49547 m
.41499 .14286 L
s
P
p
1 0 0 r
p
p
[(14)] .60182 .52826 0 0 Mshowa
[(14)] .60182 .52826 0 0 Mshowa
[(14)] .60182 .52826 0 0 Mshowa
P
p
[(71)] .77646 .66754 0 0 Mshowa
[(71)] .77646 .66754 0 0 Mshowa
[(71)] .77646 .66754 0 0 Mshowa
P
p
[(52)] .32361 .7709 0 0 Mshowa
[(52)] .32361 .7709 0 0 Mshowa
[(52)] .32361 .7709 0 0 Mshowa
P
p
[(17)] .54139 .59722 0 0 Mshowa
[(17)] .54139 .59722 0 0 Mshowa
[(17)] .54139 .59722 0 0 Mshowa
P
p
[(30)] .17823 .53099 0 0 Mshowa
[(30)] .17823 .53099 0 0 Mshowa
[(30)] .17823 .53099 0 0 Mshowa
P
p
[(36)] .39601 .48128 0 0 Mshowa
[(36)] .39601 .48128 0 0 Mshowa
[(36)] .39601 .48128 0 0 Mshowa
P
p
[(46)] .27515 .26775 0 0 Mshowa
[(46)] .27515 .26775 0 0 Mshowa
[(46)] .27515 .26775 0 0 Mshowa
P
p
[(16)] .39601 .29533 0 0 Mshowa
[(16)] .39601 .29533 0 0 Mshowa
[(16)] .39601 .29533 0 0 Mshowa
P
p
[(41)] .44979 .40702 0 0 Mshowa
[(41)] .44979 .40702 0 0 Mshowa
[(41)] .44979 .40702 0 0 Mshowa
P
p
[(21)] .54139 .1794 0 0 Mshowa
[(21)] .54139 .1794 0 0 Mshowa
[(21)] .54139 .1794 0 0 Mshowa
P
p
[(75)] .59517 .29109 0 0 Mshowa
[(75)] .59517 .29109 0 0 Mshowa
[(75)] .59517 .29109 0 0 Mshowa
P
P
.2 0 1 r
p
[(1)] .74494 .80715 0 0 Mshowa
[(2)] .41258 .88301 0 0 Mshowa
[(3)] .14605 .67045 0 0 Mshowa
[(4)] .14605 .32955 0 0 Mshowa
[(5)] .41258 .11699 0 0 Mshowa
[(6)] .74494 .19285 0 0 Mshowa
[(7)] .89286 .5 0 0 Mshowa
P
P
P
% End of Graphics
MathPictureEnd\
\>"], "Graphics",
  Evaluatable->False,
  AspectRatioFixed->True,
  ImageSize->{400, 400},
  ImageMargins->{{50, Inherited}, {Inherited, Inherited}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006@0001T1000`40O003h00OogooTGoo003oOonA
Ool00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00
ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonA
Ool00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00
ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonA
Ool00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00
ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00XWoo0aPOjgoo002U
Ool00aPOOomoo`3XOol00:Eoo`0361moogoo0>Qoo`00XWoo0aPOjgoo002ROol00aPOOomoo`3[Ool0
0:9oo`@H7nYoo`00ogooTGoo003oOonAOol00?mooi5oo`00Xgoo1@00j7oo002ROol7003WOol00:5o
o`T00>Ioo`00XGoo2@00iWoo002QOol9003VOol00:5oo``00>=oo`00XGoo2@000goo1000ggoo002Q
Ool90007Ool5003JOol009moo`80009oo`D0009oo`8000Yoo`@00=Ioo`00WWoo00<007ooOol01Woo
00<007ooOol00Woo00<007ooOol02goo1@00dGoo002MOol00`00Oomoo`08Ool00`00Oomoo`02Ool0
0`00Oomoo`0?Ool4003=Ool009aoo`03001oogoo00Uoo`03001oogoo00=oo`03001oogoo019oo`D0
0<Qoo`00VWoo0P003Goo00<007ooOol00goo0P005goo1000a7oo002IOol00`00Oomoo`0=Ool00`00
Oomoo`05Ool00`00Oomoo`0HOol5002oOol009Qoo`03001oogoo00moo`03001oogoo00Eoo`03001o
ogoo01aoo`@00;]oo`00Ugoo00<007ooOol047oo00<007ooOol01Woo00<007ooOol07goo1@00]Woo
002EOol2000DOol00`00Oomoo`06Ool2000MOol4O002Ool3O002002bOol009Aoo`03001oogoo01Ao
o`03001oogoo00Qoo`03001oogoo01]oo`03O01oogoo00=oo`04O01oogooOol5002]Ool009=oo`03
001oogoo01Ioo`03001oogoo00Qoo`03001oogoo01]oo`03O01oogoo009oo`03O01oogoo00Ioo`D0
0:Qoo`00TWoo00<007ooOol05goo00<007ooOol02Goo00<007ooOol06goo00El07ooOomoog`000eo
o`@00:Aoo`00T7oo0P006Woo00<007ooOol02Woo0P0067oo00Al07ooOoml00=oo`03O01oogoo00mo
o`D009moo`00Sgoo00<007ooOol06goo00<007ooOol02goo00<007ooOol05Woo0W`00goo0W`05Woo
1000<goo0QPOIWoo002>Ool00`00Oomoo`0LOol00`00Oomoo`0<Ool00`00Oomoo`0fOol5000]Ool0
11POOomooaPOIGoo002<Ool2000POol00`00Oomoo`0<Ool2000kOol4000YOol011POOomooaPOIGoo
002;Ool00`00Oomoo`0POol00`00Oomoo`0>Ool00`00Oomoo`0lOol5000TOol361mVOol008Yoo`03
001oogoo029oo`03001oogoo00ioo`03001oogoo041oo`@0021oo`0361moogoo06Ioo`00RGoo00<0
07ooOol08goo00<007ooOol03goo00<007ooOol0@goo1@0077oo0aPOIGoo0027Ool2000WOol00`00
Oomoo`0?Ool20018Ool40020Ool008Ioo`03001oogoo02Moo`03001oogoo015oo`03001oogoo04Uo
o`D000Qoo`D006ioo`00QGoo00<007ooOol0:Goo00<007ooOol04Goo00<007ooOol0CGoo10000goo
1`00KGoo0024Ool00`00Oomoo`0ZOol00`00Oomoo`0BOol00`00Oomoo`1@Ool;001/Ool0089oo`80
02ioo`03001oogoo019oo`80059oo`T006aoo`00PGoo00<007ooOol0;Woo00<007ooOol057oo00<0
07ooOol0CGoo2`00K7oo0020Ool00`00Oomoo`0`Ool00`00Oomoo`0DOol00`00Oomoo`17Ool50002
Ool9001/Ool007moo`03001oogoo035oo`03001oogoo01Eoo`03001oogoo049oo`@000Moo`T006ao
o`00OGoo0P00=Goo00<007ooOol05Goo0P00?Woo10002Goo0P0000=oo`0000001@00KGoo001lOol0
0`00Oomoo`0eOol00`00Oomoo`0GOol00`00Oomoo`0fOol5000<Ool00`00Oomoo`02Ool5001^Ool0
07]oo`03001oogoo03Moo`03001oogoo01Moo`03001oogoo035oo`@0011oo`03001oogoo009oo`03
001oogoo075oo`00NWoo00<007ooOol0>7oo00<007ooOol067oo00<007ooOol0;7oo10004goo00<0
07ooOol00goo00<007ooOol0LGoo001hOol2000lOol00`00Oomoo`0HOol2000WOol5000EOol20005
Ool00`00Oomoo`1bOol007Moo`03001oogoo03aoo`03001oogoo01Yoo`03001oogoo021oo`@001Uo
o`03001oogoo00Eoo`03001oogoo079oo`00MWoo00<007ooOol0?Woo00<007ooOol06Woo00<007oo
Ool06goo100077oo00<007ooOol01Goo00<007ooOol0Lgoo001eOol00`00Oomoo`0oOol00`00Oomo
o`0KOol00`00Oomoo`0EOol5000OOol00`00Oomoo`06Ool00`00Oomoo`1cOol007=oo`8004=oo`03
001oogoo01]oo`80015oo`@0029oo`8000Qoo`03001oogoo07Aoo`00LWoo00<007ooOol0@goo00<0
07ooOol07Goo00<007ooOol02Woo10009Goo00<007ooOol027oo00<007ooOol0M7oo001aOol00`00
Oomoo`15Ool00`00Oomoo`0MOol00`00Oomoo`04Ool5000XOol00`00Oomoo`09Ool00`00Oomoo`1d
Ool0071oo`03001oogoo04Ioo`03001oogoo01ioo`03001oo`0000<002aoo`03001oogoo00Uoo`03
001oogoo07Eoo`00KWoo0P00BGoo00<007ooOol077oo1@00;Goo0P0037oo00<007ooOol0MGoo001]
Ool00`00Oomoo`1:Ool00`00Oomoo`0GOol40005Ool00`00Oomoo`0YOol00`00Oomoo`0;Ool00`00
Oomoo`1fOol006aoo`03001oogoo04]oo`03001oogoo019oo`D000Yoo`03001oogoo02Moo`03001o
ogoo00aoo`03001oogoo07Ioo`00Jgoo00<007ooOol0CGoo00<007ooOol03Goo100047oo00<007oo
Ool09Goo00<007ooOol037oo00<007ooOol0Mgoo001YOol3O003Ool2O01:Ool00`00Oomoo`09Ool4
000EOol2000SOol2000?Ool00`00Oomoo`1gOol006Qoo`03001oog`000=oo`04O01oogooO01:Ool0
0`00Oomoo`03Ool5000KOol00`00Oomoo`0OOol00`00Oomoo`0>Ool00`00Oomoo`1hOol006Moo`03
001l07`0009l009oo`04O01oogooO01:Ool00`00Ool00003000QOol00`00Oomoo`0MOol00`00Oomo
o`0?Ool00`00Oomoo`1hOol006Ioo`05001oog`0Ooml0003Ool3O019Ool4000VOol00`00Oomoo`0K
Ool00`00Oomoo`0?Ool00`00Oomoo`1iOol006Aoo`80009oo`03O01oog`000=oo`03O01oogoo04Ao
o`D000=oo`03001oogoo02Eoo`8001Uoo`80019oo`03001oogoo07Uoo`00Hgoo00<007ooOol00goo
0W`017oo0g`0?goo10002Goo00<007ooOol09Woo00<007ooOol05Goo00<007ooOol04Goo00<007oo
Ool0NWoo001ROol00`00Oomoo`18Ool4000=Ool00`00Oomoo`0WOol00`00Oomoo`0COol00`00Oomo
o`0BOol00`00Oomoo`1jOol0065oo`03001oogoo04Aoo`D0019oo`03001oogoo02Moo`80019oo`03
001oogoo019oo`03001oogoo07]oo`00Ggoo0P00@goo10005goo00<007ooOol0:Goo00<007ooOol0
3Goo0P005Goo00<007ooOol0Ngoo001NOol00`00Oomoo`0oOol4000LOol00`00Oomoo`0YOol00`00
Oomoo`0;Ool00`00Oomoo`0DOol00`00Oomoo`1lOol005eoo`03001oogoo03]oo`D0021oo`03001o
ogoo02Ioo`05O01oogooOol00003O008Ool00`00Oomoo`0EOol00`00Oomoo`1lOol005]oo`8003Yo
o`8000=l00Aoo`9l01moo`03001oogoo02Eoo`03O01oogoo009oo`800003Ooml07oo00Eoo`03001o
ogoo01Eoo`03001oogoo07eoo`00FWoo00<007ooOol0=Woo10000goo00=l07ooOol00Woo00Al07oo
Ooml01ioo`03001oogoo02Ioo`03O01oogoo00=oo`03001l07oo00=oo`8001Qoo`03001oogoo07eo
o`00FGoo00<007ooOol0<Woo1@001goo00=l07ooOol00Woo00Al07ooOoml01moo`03001oogoo02Eo
o`04O01oogooOol3O0001@00Oomoogoo00006Goo00<007ooOol0OWoo001HOol00`00Oomoo`0_Ool4
000<Ool00g`0Oomoo`02Ool3O00POol00`00Oomoo`0VOol017`0Oomoog`00goo00<007oo00006Woo
00<007ooOol0OWoo001FOol2000^Ool4000@Ool00g`0Oomoo`02Ool00g`0Oomoo`0QOol00`00Oomo
o`0ROol4O002Ool4O0000goo0000000IOol00`00Oomoo`1oOol005Eoo`03001oogoo02Yoo`@001=o
o`9l00Eoo`=l021oo`03001oogoo02]oo`80009oo`03001oogoo01Ioo`03001oogoo07moo`00E7oo
00<007ooOol09Woo1@00@Woo00<007ooOol0:Goo00<007ooOol00goo00<007ooOol057oo00<007oo
Ool0P7oo001COol00`00Oomoo`0SOol40017Ool00`00Oomoo`0XOol00`00Oomoo`05Ool00`00Oomo
o`0COol00`00Oomoo`20Ool0055oo`80029oo`@004aoo`03001oogoo02Ioo`03001oogoo00Moo`80
01=oo`03001oogoo081oo`00D7oo00<007ooOol07Goo1@00D7oo00<007ooOol097oo0P0037oo00<0
07ooOol03goo00<007ooOol0PGoo001?Ool00`00Oomoo`0JOol4001FOol00`00Oomoo`0ROol00`00
Oomoo`0=Ool00`00Oomoo`0>Ool00`00Oomoo`21Ool004ioo`03001oogoo01Moo`@005Yoo`03001o
ogoo025oo`03001oogoo00moo`03001oogoo00aoo`03001oogoo089oo`00C7oo0P005Goo1@00Ggoo
00<007ooOol07goo00<007ooOol04Goo0P0037oo00<007ooOol0PWoo001;Ool00`00Oomoo`0AOol4
001TOol00`00Oomoo`0MOol2000FOol00`00Oomoo`08Ool00`00Oomoo`23Ool003Uoo`<H7`ioo`03
001oogoo00ioo`@006Qoo`03001oogoo01aoo`03001oogoo01Moo`03001oogoo00Moo`03001oogoo
08=oo`00>Woo00<H7gooOol037oo00<007ooOol02Woo1@00KGoo00<007ooOol06Woo00<007ooOol0
6Goo00<007ooOol01Goo00<007ooOol0Q7oo000hOol461l5Ool500000goo00000009Ool4001bOol0
0`00Oomoo`0IOol00`00Oomoo`0KOol20005Ool00`00Oomoo`24Ool003Qoo`0361mooaPO00Eoo`L0
00Moo`@007Moo`03001oogoo01Ioo`80021oo`05001oogooOol00027Ool003Qoo`0361mooaPO00Ao
o`T00003Ool0000000<007]oo`03001oogoo01Eoo`03001oogoo025oo`04001oogoo0027Ool003Uo
o`8H7`Aoo`X0085oo`03001oogoo01=oo`03001oogoo02=oo`8008Qoo`00?goo2@00PWoo00<007oo
Ool04Woo00<007ooOol09Goo0P00Qgoo000oOol<0020Ool00`00Oomoo`0?Ool2000WOol01000Oomo
o`00QWoo000oOol90003Ool4001lOol00`00Oomoo`0>Ool00`00Oomoo`0WOol01@00Oomoogoo0000
QGoo0010Ool70008Ool4001iOol00`00Oomoo`0<Ool00`00Oomoo`0WOol00`00Oomoo`03Ool00`00
Oomoo`22Ool0045oo`D000eoo`D007Aoo`03001oogoo00]oo`03001oogoo02Qoo`03001oogoo00Ao
o`80089oo`00@goo00<007ooOol04Woo1000LGoo00<007ooOol027oo0P00:Woo00<007ooOol01goo
00<007ooOol0Ogoo0013Ool00`00Oomoo`0FOol5001/Ool00`00Oomoo`07Ool00`00Oomoo`0ZOol0
0`00Oomoo`08Ool00`00Oomoo`1nOol004=oo`03001oogoo01]oo`@006Uoo`03001oogoo00Eoo`03
001oogoo02Yoo`03001oogoo00Yoo`03001oogoo07eoo`00@goo00<007ooOol07goo1@00I7oo00<0
07ooOol017oo00<007ooOol0:goo00<007ooOol02goo0P00OGoo0013Ool00`00Oomoo`0TOol4001Q
Ool01000Oomoogoo0P00;Goo00<007ooOol03Woo00<007ooOol0NWoo0013Ool00`00Oomoo`0XOol4
001MOol01000Oomoo`00;goo00<007ooOol03goo00<007ooOol0NGoo0013Ool00`00Oomoo`0/Ool5
001IOol2000_Ool00`00Oomoo`0AOol2001iOol004=oo`03001oogoo035oo`@005Eoo`03001oogoo
02ioo`03001oogoo01=oo`03001oogoo07Ioo`00@goo00<007ooOol0=Goo1@00CWoo0P0000=oo`00
Ool0;Goo00<007ooOol05Goo00<007ooOol0MGoo0013Ool00`00Oomoo`0jOol40019Ool01@00Oomo
ogoo0000;Woo00<007ooOol05Woo00<007ooOol0M7oo0013Ool00`00Oomoo`0nOol50013Ool00`00
Oomoo`03Ool00`00Oomoo`0[Ool00`00Oomoo`0GOol2001dOol004=oo`03001oogoo04=oo`@003io
o`03001oogoo00Aoo`03001oogoo02Yoo`03001oogoo01Yoo`03001oogoo075oo`00@goo00<007oo
Ool0Agoo1000>7oo0P0027oo00<007ooOol0:Goo00<007ooOol06goo00<007ooOol0L7oo0013Ool0
0`00Oomoo`1;Ool5000bOol00`00Oomoo`08Ool00`00Oomoo`0XOol00`00Oomoo`0MOol00`00Oomo
o`1_Ool004=oo`03001oogoo051oo`@002eoo`03001oogoo00Yoo`03001oogoo02Moo`03001oogoo
01ioo`8006moo`00@goo00<007ooOol0E7oo1@009goo00<007ooOol02goo00<007ooOol09Woo00<0
07ooOol08Goo00<007ooOol0K7oo0013Ool00`00Oomoo`1IOol4000QOol2000>Ool00`00Oomoo`0V
Ool00`00Oomoo`0ROol00`00Oomoo`1[Ool004=oo`03001oogoo05eoo`@001aoo`03001oogoo00mo
o`03001oogoo02Aoo`03001oogoo02Aoo`03001oogoo06Yoo`00@goo00<007ooOol0HGoo1@005Woo
00<007ooOol047oo00<007ooOol097oo00<007ooOol09Goo0P00JWoo0013Ool00`00Oomoo`1VOol4
000AOol00`00Oomoo`0BOol00`00Oomoo`0ROol00`00Oomoo`0XOol00`00Oomoo`1WOol004=oo`03
001oogoo06Uoo`=l008000=l00Qoo`8001Eoo`03001oogoo029oo`03001oogoo02Uoo`03001oogoo
06Ioo`00@goo00<007ooOol0JWoo00=l07ooOol00Woo00Al0000000000Eoo`03001oogoo01Ioo`03
001oogoo021oo`03001oogoo02]oo`03001oogoo06Eoo`00@goo00<007ooOol0J7oo17`00goo00Al
07ooOomoo`D001Uoo`03001oogoo021oo`03001oogoo02aoo`8006Eoo`00@goo00<007ooOol0J7oo
00=l07ooO00017oo00=l07ooOol017oo00<007oo00000`005Woo00<007ooOol07Woo00<007ooOol0
;goo00<007ooOol0HWoo0013Ool00`00Oomoo`1XOol00g`0Ooml0004Ool00g`0Oomoo`02Ool20006
Ool4000BOol00`00Oomoo`0NOol00`00Oomoo`0`Ool00`00Oomoo`1QOol004=oo`03001oogoo06Uo
o`9l00=oo`9l00=oo`03001oogoo00Yoo`D000ioo`03001oogoo01aoo`03001oogoo039oo`03001o
ogoo061oo`00@goo00<007ooOol0LWoo00<007ooOol047oo10002Woo00<007ooOol077oo00<007oo
Ool0<goo0P00H7oo0013Ool00`00Oomoo`1aOol00`00Oomoo`0EOol50006Ool00`00Oomoo`0JOol0
0`00Oomoo`0fOol00`00Oomoo`1MOol004=oo`03001oogoo06moo`8001eoo`@0009oo`03001oogoo
01Yoo`03001oogoo03Moo`03001oogoo05aoo`00@goo00<007ooOol0KWoo00<007ooOol08Goo1000
6Woo00<007ooOol0>Goo00<007ooOol0Fgoo0013Ool00`00Oomoo`1]Ool00`00Oomoo`0UOol6000E
Ool00`00Oomoo`0jOol2001KOol004=oo`03001oogoo06aoo`03001oogoo02Moo`03001oogoo009o
o`@0011oo`03001oogoo03eoo`03001oogoo05Qoo`00@goo00<007ooOol0JWoo0P00:Woo00<007oo
Ool01Woo1@002goo00<007ooOol0?Woo00<007ooOol0Egoo0013Ool00`00Oomoo`1YOol00`00Oomo
o`0[Ool00`00Oomoo`0:Ool40006Ool00`00Oomoo`10Ool00`00Oomoo`1FOol004=oo`03001oogoo
06Qoo`03001oogoo02aoo`03001oogoo00ioo`D00003Ool007oo049oo`8005Ioo`00@goo00<007oo
Ool0Igoo00<007ooOol0;Woo00<007ooOol04Woo1000@goo00<007ooOol0Dgoo0013Ool00`00Oomo
o`1UOol2000aOol00`00Oomoo`0BOol01000Oomoogoo1000@7oo00<007ooOol0DWoo0013Ool00`00
Oomoo`1TOol00`00Oomoo`0bOol00`00Oomoo`0AOol00`00Oomoo`05Ool5000lOol00`00Oomoo`1A
Ool004=oo`03001oogoo06=oo`03001oogoo03=oo`03001oogoo011oo`03001oogoo00]oo`@003Uo
o`80055oo`00@goo00<007ooOol0HWoo00<007ooOol0=Goo00<007ooOol03goo00<007ooOol03goo
1@00=Woo00<007ooOol0CWoo0013Ool00`00Oomoo`1POol2000hOol00`00Oomoo`0>Ool00`00Oomo
o`0EOol4000cOol00`00Oomoo`1=Ool004=oo`03001oogoo05moo`03001oogoo03Uoo`03001oogoo
00eoo`03001oogoo01Uoo`D002moo`8004eoo`00@goo00<007ooOol0GWoo00<007ooOol0>Woo00<0
07ooOol037oo00<007ooOol07goo1000;Goo00<007ooOol0BWoo0013Ool00`00Oomoo`1MOol00`00
Oomoo`0lOol00`00Oomoo`0;Ool00`00Oomoo`0SOol4000ZOol00`00Oomoo`19Ool004=oo`03001o
ogoo05]oo`8003moo`03001oogoo00Yoo`03001oogoo02Qoo`D002Ioo`03001oogoo04Qoo`00@goo
00<007ooOol0FWoo00<007ooOol0?goo00<007ooOol02Woo00<007ooOol0;Goo10008goo0P00B7oo
0013Ool00`00Oomoo`1IOol00`00Oomoo`11Ool00`00Oomoo`08Ool00`00Oomoo`0bOol5000POol0
0`00Oomoo`15Ool004=oo`03001oogoo05Qoo`03001oogoo049oo`03001oogoo00Qoo`03001oogoo
03Moo`@001eoo`03001oogoo04Aoo`00@goo00<007ooOol0EWoo0P00AWoo00<007ooOol01Woo00<0
07ooOol0?7oo10006Woo00<007ooOol0@goo0013Ool00`00Oomoo`1EOol00`00Oomoo`16Ool00`00
Oomoo`06Ool00`00Oomoo`10Ool5000FOol20013Ool004=oo`03001oogoo05=oo`=l00Aoo`9l04=o
o`03001oogoo00Aoo`03001oogoo04Ioo`@001Aoo`03001oogoo041oo`00@goo00<007ooOol0Dgoo
00@007ooOoml009oo`04O01oogooO012Ool00`00Oomoo`04Ool00`00Oomoo`1:Ool5000@Ool00`00
Oomoo`0oOol004=oo`03001oogoo055oo`8000=oo`04O01oogooO002Ool00g`0Oomoo`11Ool00`00
Oomoo`02Ool00`00Oomoo`1@Ool4000=Ool00`00Oomoo`0nOol004=oo`03001oogoo051oo`04001o
ogooOol2O003Ool3O014Ool00`00Oomoo`02Ool00`00Oomoo`1DOol50009Ool2000nOol004=oo`03
001oogoo04moo`03001oogoo00Aoo`04O01oogooO017Ool01000Oomoo`00G7oo10001goo1P00>7oo
0013Ool00`00Oomoo`1>Ool00`00Oomoo`02Ool3O004Ool3O014Ool01000Oomoo`00H7oo10000goo
1`00=goo0013Ool00`00Oomoo`1<Ool2001DOol2001UOol;000fOol004=oo`03001oogoo04]oo`03
001oogoo05Aoo`8006Moo`T000Uoo`0361moogoo02Yoo`00@goo00<007ooOol0BWoo00<007ooOol0
EGoo0P00Igoo2@002Goo00<H7gooOol0:Woo0013Ool00`00Oomoo`19Ool00`00Oomoo`1FOol2001W
Ool9000:Ool00aPOOomoo`0YOol004=oo`03001oogoo04Moo`8005Uoo`03001oo`0006Ioo`T000Yo
o`0361moogoo02Uoo`00@goo00<007ooOol0AWoo00<007ooOol0F7oo00@007ooOol006Moo`L000ao
o`0361moogoo02Qoo`00@goo00<007ooOol0AGoo00<007ooOol0FGoo00D007ooOomoo`0006Moo`D0
00Yoo`@H7bYoo`00@goo00<007ooOol0A7oo00<007ooOol0FGoo00<007ooOol00Woo00<007ooOol0
I7oo00<007ooOol0>goo0013Ool00`00Oomoo`12Ool2001LOol00`00Oomoo`03Ool00`00Oomoo`1S
Ool00`00Oomoo`0kOol004=oo`03001oogoo045oo`03001oogoo05]oo`03001oogoo00Aoo`03001o
ogoo069oo`03001oogoo03aoo`00@goo00<007ooOol0@7oo00<007ooOol0G7oo00<007ooOol01Goo
00<007ooOol0HGoo00<007ooOol0?7oo0013Ool00`00Oomoo`0oOol00`00Oomoo`1LOol00`00Oomo
o`06Ool00`00Oomoo`1POol00`00Oomoo`0mOol004=oo`03001oogoo03eoo`8005moo`03001oogoo
00Aoo`=l0004001oogooOol3O01KOol00`00Oomoo`0mOol0049oo`=l00Aoo`9l03Moo`03001oogoo
05ioo`03001oogoo00Ioo`03O01oo`0000Aoo`03O01oogoo05Yoo`03001oogoo03eoo`00@goo00<0
07ooO0000Woo00Al07ooOoml03Eoo`03001oogoo05moo`03001oogoo00Ioo`05O01oogoo001oo`04
O01JOol00`00Oomoo`0nOol004=oo`03001oog`0009oo`04O01oogooO00dOol00`00Oomoo`1OOol0
0`00Oomoo`07Ool027`0Oomoo`00Ooml07ooO01KOol00`00Oomoo`0nOol004=oo`9l00=oo`04O01o
ogooO00bOol2001ROol00`00Oomoo`07Ool027`0Oomoogoo001l07ooO01JOol00`00Oomoo`0oOol0
04=oo`03001oog`0009oo`04O01oogooO00aOol00`00Oomoo`1QOol00`00Oomoo`07Ool2O003Ool0
1000Ooml07`0FWoo00<007ooOol0?goo0012Ool3O004Ool2O00aOol00`00Oomoo`1ROol00`00Oomo
o`0<Ool00`00Oomoo`1JOol00`00Oomoo`10Ool004=oo`03001oogoo03Eoo`03001oogoo069oo`03
001oogoo00ioo`03001oogoo05Uoo`03001oogoo041oo`00@goo00<007ooOol0<goo0P00IGoo00<0
07ooOol03Woo00<007ooOol0F7oo00<007ooOol0@Goo0013Ool00`00Oomoo`0bOol00`00Oomoo`1T
Ool00`00Oomoo`0@Ool00`00Oomoo`1GOol00`00Oomoo`11Ool004=oo`03001oogoo035oo`03001o
ogoo06Eoo`03001oogoo011oo`03001oogoo05Ioo`03001oogoo049oo`00@goo00<007ooOol0<7oo
00<007ooOol0IGoo00<007ooOol04Woo00<007ooOol0EGoo00<007ooOol0@Woo0013Ool00`00Oomo
o`0^Ool2001XOol00`00Oomoo`0BOol00`00Oomoo`1DOol00`00Oomoo`13Ool004=oo`03001oogoo
02eoo`03001oogoo06Moo`03001oogoo01Aoo`03001oogoo05=oo`03001oogoo04=oo`00@goo00<0
07ooOol0;7oo00<007ooOol0J7oo00<007ooOol057oo00<007ooOol0DWoo00<007ooOol0A7oo0013
Ool00`00Oomoo`0[Ool00`00Oomoo`1XOol00`00Oomoo`0FOol00`00Oomoo`1AOol00`00Oomoo`14
Ool004=oo`03001oogoo02Uoo`8006]oo`03001oogoo01Ioo`03001oogoo051oo`03001oogoo04Eo
o`00@goo00<007ooOol0:7oo00<007ooOol0Jgoo00<007ooOol05goo00<007ooOol0Cgoo00<007oo
Ool0AGoo0013Ool00`00Oomoo`0WOol00`00Oomoo`1[Ool00`00Oomoo`0HOol00`00Oomoo`1>Ool0
0`00Oomoo`16Ool004=oo`03001oogoo02Ioo`03001oogoo06aoo`03001oogoo01Uoo`03001oogoo
04eoo`03001oogoo04Ioo`00@goo00<007ooOol097oo0P00KWoo00<007ooOol06Woo00<007ooOol0
C7oo00<007ooOol0Agoo0013Ool00`00Oomoo`0SOol00`00Oomoo`1^Ool00`00Oomoo`0KOol00`00
Oomoo`1;Ool00`00Oomoo`17Ool004=oo`03001oogoo029oo`03001oogoo06ioo`03001oogoo01ao
o`03001oogoo04Yoo`03001oogoo04Qoo`00@goo00<007ooOol08Goo00<007ooOol0Kgoo00<007oo
Ool07Goo00<007ooOol0BGoo00<007ooOol0B7oo0013Ool00`00Oomoo`0OOol2001aOol00`00Oomo
o`0NOol00`00Oomoo`19Ool00`00Oomoo`18Ool004=oo`03001oogoo01ioo`03001oogoo075oo`03
001oogoo01moo`03001oogoo04Moo`03001oogoo04Uoo`00@goo00<007ooOol07Goo00<007ooOol0
LGoo00<007ooOol087oo00<007ooOol0Agoo00<007ooOol0BGoo0013Ool00`00Oomoo`0LOol00`00
Oomoo`1bOol00`00Oomoo`0QOol00`00Oomoo`15Ool00`00Oomoo`1:Ool004=oo`03001oogoo01Yo
o`80075oo`=l0005001oogooOoml000POol00`00Oomoo`15Ool00`00Oomoo`1:Ool004=oo`03001o
ogoo01Uoo`03001oogoo079oo`03O01oo`0000=oo`03O01oogoo01moo`03001oogoo04=oo`03001o
ogoo04]oo`00@goo00<007ooOol067oo00<007ooOol0Lgoo00=l0000Ool017oo00=l07ooOol07Woo
00<007ooOol0@goo00<007ooOol0Bgoo0013Ool00`00Oomoo`0GOol00`00Oomoo`1dOol00g`0001o
o`04Ool00g`0Oomoo`0OOol00`00Oomoo`11Ool00`00Oomoo`1<Ool004=oo`03001oogoo01Eoo`80
07Moo`03O01oogoo00Eoo`03O01oogoo01ioo`03001oogoo045oo`03001oogoo04aoo`00@goo00<0
07ooOol057oo00<007ooOol0MWoo0W`017oo17`087oo00<007ooOol0@7oo00<007ooOol0CGoo0013
Ool00`00Oomoo`0COol00`00Oomoo`1gOol00`00Oomoo`0XOol00`00Oomoo`0oOol00`00Oomoo`1=
Ool004=oo`03001oogoo019oo`03001oogoo07Qoo`03001oogoo02Qoo`03001oogoo03ioo`03001o
ogoo04ioo`00@goo00<007ooOol047oo0P00NWoo00<007ooOol0:Woo00<007ooOol0?Goo00<007oo
Ool0CWoo0013Ool00`00Oomoo`0?Ool00`00Oomoo`1jOol00`00Oomoo`0ZOol00`00Oomoo`0lOol0
0`00Oomoo`1?Ool004=oo`03001oogoo00ioo`03001oogoo07Yoo`03001oogoo02aoo`03001oogoo
03]oo`03001oogoo04moo`00@goo00<007ooOol03Goo00<007ooOol0Ngoo00<007ooOol0;7oo00<0
07ooOol0>Woo00<007ooOol0D7oo0013Ool00`00Oomoo`0;Ool2001mOol00`00Oomoo`0^Ool00`00
Oomoo`0iOol00`00Oomoo`1@Ool004=oo`03001oogoo00Yoo`03001oogoo07eoo`03001oogoo02io
o`03001oogoo03Qoo`03001oogoo055oo`00@goo00<007ooOol02Goo00<007ooOol0OWoo00<007oo
Ool0;goo00<007ooOol0=goo00<007ooOol0DGoo0013Ool00`00Oomoo`08Ool00`00Oomoo`1nOol0
0`00Oomoo`0`Ool00`00Oomoo`0fOol00`00Oomoo`1BOol004=oo`03001oogoo00Ioo`80085oo`03
001oogoo035oo`03001oogoo03Eoo`03001oogoo059oo`00@goo00<007ooOol01Goo00<007ooOol0
P7oo00<007ooOol0<Woo00<007ooOol0=7oo00<007ooOol0Dgoo0013Ool00`00Oomoo`04Ool00`00
Oomoo`21Ool00`00Oomoo`0cOol00`00Oomoo`0cOol00`00Oomoo`1COol004=oo`03001oogoo00=o
o`03001oogoo085oo`03001oogoo03Aoo`03001oogoo03=oo`03001oogoo05=oo`00@Goo1@0000=o
o`000000Q7oo00<007ooOol0=Goo00<007ooOol0<Goo00<007ooOol0E7oo0010Ool70025Ool00`00
Oomoo`0fOol00`00Oomoo`0aOol00`00Oomoo`1DOol003moo`T008Aoo`03001oogoo03Moo`03001o
ogoo02moo`03001oogoo05Eoo`00?goo2@00Pgoo00<007ooOol0>7oo00<007ooOol0;goo00<007oo
Ool0EGoo000oOol90023Ool00`00Oomoo`0iOol00`00Oomoo`0]Ool00`00Oomoo`1FOol003moo`T0
089oo`03001oogoo03Yoo`03001oogoo02eoo`03001oogoo05Ioo`00?goo2@00PWoo00<007ooOol0
>goo00<007ooOol0:goo00<007ooOol0Egoo0010Ool80021Ool00`00Oomoo`0lOol00`00Oomoo`0[
Ool00`00Oomoo`1GOol0045oo`D0009oo`8007moo`03001oogoo03eoo`03001oogoo02Eoo`05O01o
ogooOol00003O01GOol003Qoo`<H7`moo`03001oogoo07]oo`03001oogoo03ioo`03001oogoo02Eo
o`07O01oogooOol007ooO000F7oo000kOol00aPOOomoo`0=Ool00`00Oomoo`1jOol00`00Oomoo`0o
Ool00`00Oomoo`0UOol00g`0Ool00002Ool00g`0Oomoo`1FOol003]oo`0361moogoo00ioo`03001o
ogoo07Qoo`03001oogoo041oo`03001oogoo02Eoo`03O01oo`00009oo`03O01oogoo05Ioo`00>Goo
0QPO4Woo0P00N7oo00<007ooOol0@Goo00<007ooOol09Goo00El07ooOomoog`005Qoo`00>goo00<H
7gooOol04Goo00<007ooOol0M7oo00<007ooOol0@Woo00<007ooOol08Woo17`00Woo0W`0F7oo000h
Ool361lEOol00`00Oomoo`1cOol00`00Oomoo`12Ool00`00Oomoo`0TOol00`00Oomoo`1KOol0055o
o`03001oogoo075oo`03001oogoo04Aoo`03001oogoo02=oo`03001oogoo05]oo`00DWoo0P00LGoo
00<007ooOol0A7oo00<007ooOol08Woo00<007ooOol0G7oo001DOol00`00Oomoo`1]Ool00`00Oomo
o`16Ool00`00Oomoo`0QOol00`00Oomoo`1LOol005Eoo`03001oogoo06aoo`03001oogoo04Ioo`03
001oogoo021oo`03001oogoo05eoo`00EWoo00<007ooOol0JWoo00<007ooOol0B7oo00<007ooOol0
7goo00<007ooOol0GGoo001GOol2001ZOol00`00Oomoo`18Ool00`00Oomoo`0NOol00`00Oomoo`1N
Ool005Uoo`03001oogoo06Moo`03001oogoo04Uoo`03001oogoo01eoo`03001oogoo05ioo`00FWoo
00<007ooOol0IGoo00<007ooOol0BWoo00<007ooOol07Goo00<007ooOol0GWoo001KOol2001UOol0
0`00Oomoo`1;Ool00`00Oomoo`0KOol00`00Oomoo`1OOol005eoo`03001oogoo065oo`03001oogoo
04aoo`03001oogoo01]oo`03001oogoo05moo`00GWoo00<007ooOol0H7oo00<007ooOol0CGoo00<0
07ooOol06Goo00<007ooOol0H7oo001OOol00`00Oomoo`1NOol00`00Oomoo`1>Ool00`00Oomoo`0I
Ool00`00Oomoo`1POol0061oo`8005ioo`03001oogoo04moo`03001oogoo01Moo`03001oogoo065o
o`00HWoo00<007ooOol0FWoo00<007ooOol0D7oo00<007ooOol05goo00<007ooOol0HGoo001SOol0
0`00Oomoo`1IOol00`00Oomoo`1AOol00`00Oomoo`0EOol00`00Oomoo`1ROol006Aoo`03001oogoo
05Moo`03001oogoo059oo`03001oogoo01Eoo`03001oogoo069oo`00IGoo0P00Egoo00<007ooOol0
Dgoo00<007ooOol04goo00<007ooOol0Hgoo001WOol00`00Oomoo`1COol00`00Oomoo`1DOol00`00
Oomoo`0COol00`00Oomoo`1SOol006Qoo`03001oogoo059oo`03001oogoo05Eoo`03001oogoo015o
o`03001oogoo06Aoo`00JGoo00<007ooOol0D7oo00<007ooOol0EWoo00<007ooOol04Goo00<007oo
Ool0I7oo001ZOol2001@Ool00`00Oomoo`1GOol00`00Oomoo`0?Ool00`00Oomoo`1UOol006aoo`03
001oogoo04aoo`03001oogoo05Qoo`03001oogoo00moo`03001oogoo06Eoo`00KGoo00<007ooOol0
Bgoo00<007ooOol0FGoo00<007ooOol03Goo00<007ooOol0IWoo001^Ool00`00Oomoo`19Ool00`00
Oomoo`1JOol00`00Oomoo`0=Ool00`00Oomoo`1VOol006moo`8004Uoo`03001oogoo05]oo`03001o
ogoo00]oo`03001oogoo06Moo`00LGoo00<007ooOol0AGoo00<007ooOol0G7oo00<007ooOol02goo
00<007ooOol0Igoo001bOol00`00Oomoo`14Ool00`00Oomoo`1LOol00`00Oomoo`0:Ool00`00Oomo
o`1XOol007=oo`03001oogoo049oo`03001oogoo05ioo`03001oogoo00Uoo`03001oogoo06Qoo`00
M7oo0P00@Woo00<007ooOol0GWoo00<007ooOol027oo00<007ooOol0JGoo001fOol00`00Oomoo`0n
Ool00`00Oomoo`1POol00`00Oomoo`07Ool00`00Oomoo`1YOol007Moo`03001oogoo03eoo`03001o
ogoo061oo`03001oogoo00Moo`03001oogoo06Uoo`00N7oo00<007ooOol0?7oo00<007ooOol0HGoo
00<007ooOol01Goo00<007ooOol0JWoo001iOol2000kOol00`00Oomoo`1ROol00`00Oomoo`05Ool0
0`00Oomoo`1ZOol007]oo`03001oogoo03Qoo`03001oogoo06=oo`03001oogoo00=oo`03001oogoo
06]oo`00O7oo0g`00goo17`0;goo00<007ooOol0I7oo00<007ooOol00goo00<007ooOol0Jgoo001m
Ool00`00Ooml0003Ool00g`0Oomoo`0_Ool00`00Oomoo`1UOol5001^Ool007ioo`03001l07oo00=o
o`03O01oogoo02eoo`03001oogoo06Eoo`L006eoo`00O7oo0g`000=oo`00Ool00goo00=l07ooOol0
;7oo00<007ooOol0I7oo2@00K7oo001lOol00g`0Oomoo`02Ool01@00O01oogooO000;Goo00<007oo
Ool0IGoo2@00K7oo001lOol4O002Ool00`00O01l000^Ool00`00Oomoo`1UOol9001/Ool008=oo`80
02eoo`03001oogoo06Ioo`T006aoo`00QGoo00<007ooOol0:Woo00<007ooOol0IWoo2@00K7oo0026
Ool00`00Oomoo`0XOol00`00Oomoo`1XOol7001]Ool008Moo`03001oogoo02Moo`03001oogoo06Uo
o`D006ioo`00R7oo0P009Woo00<007ooOol0gGoo002:Ool00`00Oomoo`0SOol00`00Oomoo`3MOol0
08]oo`03001oogoo025oo`03001oogoo0=ioo`00S7oo0P008Goo00<007ooOol0gWoo002>Ool00`00
Oomoo`0MOol00`00Oomoo`3OOol008moo`03001oogoo01aoo`03001oogoo07Ioo`<H7fIoo`00T7oo
00<007ooOol06Woo00<007ooOol0N7oo00<H7gooOol0IGoo002AOol2000JOol00`00Oomoo`1hOol0
0aPOOomoo`1UOol009=oo`03001oogoo01Ioo`03001oogoo07Uoo`0361moogoo06Eoo`00U7oo00<0
07ooOol05Goo00<007ooOol0NGoo00<H7gooOol0IGoo002EOol00`00Oomoo`0COol00`00Oomoo`1i
Ool261mWOol009Ioo`8001=oo`03001oogoo0>9oo`00V7oo00<007ooOol047oo00<007ooOol0hWoo
002IOol00`00Oomoo`0>Ool00`00Oomoo`3SOol009Yoo`03001oogoo00eoo`03001oogoo0>=oo`00
Vgoo0P0037oo00<007ooOol0i7oo002MOol00`00Oomoo`09Ool00`00Oomoo`3TOol009ioo`03001o
ogoo00Moo`03001oogoo0>Eoo`00Wgoo00<007ooOol01Woo00<007ooOol0iGoo002POol200000goo
00000003003XOol00:9oo`L00>Moo`00XGoo2@00iWoo002QOol9003VOol00:5oo`T00>Ioo`00XGoo
2@00iWoo002QOol9003VOol00:9oo`L00>Moo`00Xgoo1@00j7oo003oOonAOol00?mooi5oo`00ogoo
TGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00:9oo`@H7nYoo`00Xgoo00<H7gooOol0
jWoo002TOol00aPOOomoo`3YOol00:Eoo`0361moogoo0>Qoo`00XWoo00@H7gooOolH7nYoo`00Xgoo
0QPOjgoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonA
Ool00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00
ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonA
Ool00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00
ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonA
Ool00?mooi5oo`00ogooTGoo003oOonAOol00?mooi5oo`00ogooTGoo003oOonAOol00001\
\>"],
  ImageRangeCache->{{{0, 399}, {399, 0}} -> {-0.200007, -0.200007, 
  0.00350881, 0.00350881}}]
}, Closed]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{520, 509},
WindowMargins->{{Automatic, 85}, {Automatic, 36}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@6GYb0000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 113, 2, 136, "Title",
  Evaluatable->False],
Cell[1825, 53, 575, 21, 78, "Subtitle",
  Evaluatable->False],
Cell[2403, 76, 100, 2, 26, "SmallText",
  Evaluatable->False],
Cell[2506, 80, 613, 18, 62, "Text",
  Evaluatable->False],
Cell[3122, 100, 585, 18, 64, "Text",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[3732, 122, 84, 2, 50, "Section",
  Evaluatable->False],
Cell[3819, 126, 546, 20, 31, "Text",
  Evaluatable->False],
Cell[4368, 148, 940, 30, 111, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[5345, 183, 86, 2, 30, "Section",
  Evaluatable->False],
Cell[5434, 187, 737, 19, 95, "Text",
  Evaluatable->False],
Cell[6174, 208, 555, 9, 94, "Text",
  Evaluatable->False],
Cell[6732, 219, 1007, 22, 143, "Text",
  Evaluatable->False],
Cell[7742, 243, 1511, 48, 114, "Text",
  Evaluatable->False],
Cell[9256, 293, 26574, 478, 408, 2653, 178, "GraphicsData", 
"PostScript", "Graphics",
  Evaluatable->False]
}, Closed]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

