(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      6988,        251]*)
(*NotebookOutlinePosition[      8077,        286]*)
(*  CellTagsIndexPosition[      8033,        282]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[
"4. Introduction to Lists and Using Programming Principles: Homework"], 
  "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Author: ",
    CellFrame->True,
    Evaluatable->False,
    AspectRatioFixed->True,
    Background->GrayLevel[0.899992]],
  StyleBox["YourNameGoesHere",
    CellFrame->True,
    Evaluatable->False,
    AspectRatioFixed->True,
    Background->GrayLevel[0.899992],
    FontVariations->{"Underline"->True}],
  StyleBox["",
    CellFrame->True,
    Evaluatable->False,
    AspectRatioFixed->True,
    Background->GrayLevel[0.899992]]
}], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell["Last revision:  January 15 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Preliminary defintions", "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
Evaluate these cells before proceeding the the rest of the \
assignments.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
numStuds = 15;
roster = 
{\"Carr\", \"Crabtree\", \"Davis\", \"Dixon\", \"Herbert\", \"Jones\", \
\"Moore\", \"Moskowitz\", \"Naples\", \"Phillips\", \"Rice-Stitt\", \
\"Schenk\", \"Seifert\", \"Slaby\", \"Tarver\"};\
\>", "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Clear[draw,n]\ndraw[n_]:=Length[\n  Union[\n    Table[ roster[[ \
Random[Integer,{1,numStuds}] ]],\n      {n} \n    ]\n  ]\n]"], "Input",
  AspectRatioFixed->True],

Cell["\<\
Clear[aveDraw,n,trials]
aveDraw[n_,trials_] := 
\t N[ Sum[ draw[n], {trials} ] / trials ]\
\>", "Input",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Calling On Students"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
1.  If ten random names are called each day, how many different \
people are likely to be called on? \
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
2.  How many random names should be called so that, on average, \
fifteen different people get called?\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "3.  If we use several trials for our simulation (using \"",
  StyleBox["aveDraw[]", "Input",
    FontWeight->"Plain"],
  "\" instead of \"",
  StyleBox["draw[]", "Input",
    FontWeight->"Plain"],
  "\"), why is the resulting graph less fuzzy?"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Calling On Fractions"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"Suppose now that, instead of selecting random names from a list, we simply \
choose fractions which have numerators chosen randomly from 1 to 1000 and \
denominators chosen randomly from 1 to 3."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["1.  Generate a random integer between 1 and 1000.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["2.  Generate a random integer between 1 and 3.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["\<\
3.  Generate a random integer between 1 and 1000 and a random \
integer between 1 and 3, using the first for a numerator and the second for a \
denominator of a rational number.  Convert the fraction to an approximate \
value.\
\>", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["4.  Generate a list of ten such approximate values.", "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "5.  The \"",
  StyleBox["Max[]", "Input",
    FontWeight->"Plain"],
  "\" function returns the largest number appearing in a list.  Use it to get \
the largest number from a list of ten such approximate values."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "6. Write a function \"",
  StyleBox["max1000[]", "Input",
    FontWeight->"Plain"],
  "\" that gives the maximum value from a list of \"n\" approximate values \
representing fractions with numerators chosen randomly from the integers 1 to \
1000 and denominators chosen randomly from the integers 1 to 3."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "7.  Produce a graphical representation of \"",
  StyleBox["max1000[]", "Input",
    FontWeight->"Plain"],
  "\".  (Use \"",
  StyleBox["ListPlot[]", "Input",
    FontWeight->"Plain"],
  "\".)"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "8.  What's the average value of \"",
  StyleBox["max1000[25]", "Input",
    FontWeight->"Plain"],
  "\" when the command is executed thirty times?"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "9.  Write a function \"",
  StyleBox["ave1000[n]", "Input",
    FontWeight->"Plain"],
  "\" that computes the average of thirty trials of \"",
  StyleBox["max1000[n]", "Input",
    FontWeight->"Plain"],
  "\"."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  "10.  Produce a graphical representation of \"",
  StyleBox["ave1000[]", "Input",
    FontWeight->"Plain"],
  "\"."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Macintosh",
ScreenRectangle->{{0, 1152}, {0, 850}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{44, Automatic}, {Automatic, 1}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@6SDJ0000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 146, 4, 174, "Title",
  Evaluatable->False],
Cell[1888, 57, 575, 21, 77, "Subtitle",
  Evaluatable->False],
Cell[2466, 80, 100, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2591, 86, 89, 2, 50, "Section",
  Evaluatable->False],
Cell[2683, 90, 145, 5, 30, "Text",
  Evaluatable->False],
Cell[2831, 97, 267, 7, 102, "Input"],
Cell[3101, 106, 179, 3, 132, "Input"],
Cell[3283, 111, 140, 5, 57, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[3460, 121, 96, 2, 30, "Section",
  Evaluatable->False],
Cell[3559, 125, 173, 5, 46, "Text",
  Evaluatable->False],
Cell[3735, 132, 174, 5, 46, "Text",
  Evaluatable->False],
Cell[3912, 139, 323, 10, 46, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[4272, 154, 97, 2, 30, "Section",
  Evaluatable->False],
Cell[4372, 158, 269, 5, 62, "Text",
  Evaluatable->False],
Cell[4644, 165, 113, 2, 30, "Text",
  Evaluatable->False],
Cell[4760, 169, 110, 2, 30, "Text",
  Evaluatable->False],
Cell[4873, 173, 298, 7, 62, "Text",
  Evaluatable->False],
Cell[5174, 182, 115, 2, 30, "Text",
  Evaluatable->False],
Cell[5292, 186, 290, 8, 46, "Text",
  Evaluatable->False],
Cell[5585, 196, 384, 9, 62, "Text",
  Evaluatable->False],
Cell[5972, 207, 271, 10, 30, "Text",
  Evaluatable->False],
Cell[6246, 219, 226, 7, 30, "Text",
  Evaluatable->False],
Cell[6475, 228, 289, 10, 46, "Text",
  Evaluatable->False],
Cell[6767, 240, 193, 7, 30, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

