(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     10528,        373]*)
(*NotebookOutlinePosition[     11626,        408]*)
(*  CellTagsIndexPosition[     11582,        404]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["8.  Strings; Strings as Lists:  Homework", "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  January 26 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[CellGroupData[{

Cell[TextData["Creating Your Own String Functions"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData[
"1  Imitating StringLength, StringTake, StringDrop, StringReverse"], 
  "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["In this section you learned about the functions \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["StringLength[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["StringTake[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["StringDrop[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["StringReverse[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\".  Define your own functions which will do the same thing without using \
any String functions except \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Characters[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" to convert a String to a list of characters, and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["StringJoin[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" to put the String back together.  Remember to try the operations you \
think you need on a sample String, when you're convinced define a function, \
and then test it out!",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["2  Imitating StringInsert"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["There is ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Mathematica",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[" function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Insert[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" which takes a list, an expression, and an integer as arguments.  Find \
out what \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Insert[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" does, compare this with what \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["StringInsert[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" does, and define your own function which accomplishes what \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["StringInsert[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" does without using any String functions except \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Characters[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" to convert a String to a list of characters, and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["StringJoin[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" to put the String back together.  (Depending on your method, you may \
need to use \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Flatten[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", but you may not need to.)",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["3  Sorting characters in a string"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["We learned that \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Sort[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" will sort a list of strings into some order.  But what about sorting \
the characters in one string?  Define a function which takes a string, sorts \
its characters, and returns a string containing the characters in the new \
sorted order.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["4  Capital ideas"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["We learned that \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["ToUpperCase[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" takes a String and replaces every letter in it by its upper-case \
equivalent. ",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "(a) Define a function which takes a String and returns the same string \
with only the first letter changed to upper-case.  For instance, ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["upperFirst[\"oswald\"]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" should return ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["\"Oswald\"",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "(b) Now define a function which takes a String and a number and returns \
the same String with the letter indexed by the number coverted to upper-case. \
 For instance, ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["upperN[\"NASa\",4]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" should return ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["\"NASA\"",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["5  Another string-to-number conversion function"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "Define a function which takes a String of numbers which includes a decimal \
point (\"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\") and converts it to its numeric value.  For instance, \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["newString2Num[\"23.5\"]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" should return the numeric value 23.5.  Hint:  Use \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Position",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" to find the decimal point's position in the list of characters in the \
string; use \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["string2Num[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" (from the section) to convert the characters preceding the decimal \
point into an integer, and use \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["string2Num[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" again on the characters following the decimal point, dividing by the \
appropriate power of ten.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Macintosh",
ScreenRectangle->{{0, 1152}, {0, 850}},
WindowToolbars->"EditBar",
WindowSize->{520, 509},
WindowMargins->{{Automatic, 100}, {Automatic, 16}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400A7M;U0000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 105, 2, 136, "Title",
  Evaluatable->False],
Cell[1847, 55, 100, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1972, 61, 156, 4, 77, "Subtitle",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2153, 69, 111, 2, 50, "Section",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2289, 75, 148, 4, 46, "Subsection",
  Evaluatable->False],
Cell[2440, 81, 1608, 53, 110, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[4085, 139, 105, 2, 30, "Subsection",
  Evaluatable->False],
Cell[4193, 143, 1969, 67, 112, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[6199, 215, 113, 2, 30, "Subsection",
  Evaluatable->False],
Cell[6315, 219, 574, 17, 62, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[6926, 241, 96, 2, 30, "Subsection",
  Evaluatable->False],
Cell[7025, 245, 421, 15, 46, "Text",
  Evaluatable->False],
Cell[7449, 262, 657, 22, 62, "Text",
  Evaluatable->False],
Cell[8109, 286, 682, 23, 62, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[8828, 314, 127, 2, 30, "Subsection",
  Evaluatable->False],
Cell[8958, 318, 1518, 49, 110, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

