(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     14156,        502]*)
(*NotebookOutlinePosition[     15241,        537]*)
(*  CellTagsIndexPosition[     15197,        533]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData["10. Anonymous Functions:  Homework"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  February 9 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[CellGroupData[{

Cell[TextData["1: xyDif"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Write a function ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["xyDif[points_]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" which takes a list of ",
    Evaluatable->False,
    AspectRatioFixed->True],
  Cell[BoxData[
      \(TraditionalForm\`x, \ y\)]],
  StyleBox[" points and returns the difference between the ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["x",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox["- and ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["y",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox["-coordinate for each point.  For instance, \n\t",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["xyDif[{ {2,3}, {14,18}, {1,7} }]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\nshould return ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{1,4,6}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  ".  Do this problem by first deciding how to compute the difference between \
the x- and y-coordinates of a single point and then mapping such a function \
onto the list of points.  Give two versions of ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["xyDif[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", one that uses a ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Module",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", and one that uses an anonymous function.  ",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["2: toJail"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "What follows below is a list of the names and ages of a group of people \
drinking punch at a party.  As it turns out, the party was raided by the \
police and all of the underage drinkers (those younger than 21) were carted \
off to jail.  Write a function ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["toJail[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  " which produces a list of the names of the people who went to jail.  Use a \
named function inside a ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Module",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" or an anonymous function to get a list of the ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["name",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier",
    FontSlant->"Italic"],
  StyleBox[",",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["age",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier",
    FontSlant->"Italic"],
  StyleBox["}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  " pairs of the people going to jail.  From there it should be easy to get \
just the name of each person going to jail.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"people={ {\"Chris\",18},{\"Clark\",22},\n\t{\"Becky\",20},{\"June\",37},\n\t\
{\"Chief\",21}, {\"Stella\",23}, \n\t{\"Heather\",31}, {\"Xray\",16} }"], 
  "Input",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["3: finding roots"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(a) There are times when ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Solve[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" and even ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["NSolve[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" fail to give solutions.  For example,",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"Clear[x,f]\nf[x_] := x^2 Cos[2x]+x Sin[2x]\nNSolve[f[x]==0 ,x]"], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "Yet, when we plot the function ",
  Cell[BoxData[
      \(TraditionalForm\`f(x)\)]],
  " from \[Dash]6 to 6 we see that there are nine places where the ",
  Cell[BoxData[
      \(TraditionalForm\`f(x)\)]],
  " equals zero (i.e. touches or crosses the ",
  StyleBox["x",
    FontSlant->"Italic"],
  "-axis)."
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData["Plot[f[x],{x,-6,6}]"], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["One of these places seems to be at about ",
    Evaluatable->False,
    AspectRatioFixed->True],
  Cell[BoxData[
      \(TraditionalForm\`x = 4\)]],
  StyleBox[".  We can find the exact value by using the ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["FindRoot[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" command, indicating that we want to find the root of ",
    Evaluatable->False,
    AspectRatioFixed->True],
  Cell[BoxData[
      \(TraditionalForm\`f(x)\)]],
  StyleBox[" that is near ",
    Evaluatable->False,
    AspectRatioFixed->True],
  Cell[BoxData[
      \(TraditionalForm\`x = 4\)]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData["FindRoot[ f[x]==0 , {x,4} ]"], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  "The approximate roots for ",
  Cell[BoxData[
      \(TraditionalForm\`f(x)\)]],
  " seem to be at"
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData["approx={-6,-4,-2.5,-1,0,1,2.5,4,6}"], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["To find all nine roots you could enter the ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["FindRoot",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  " command 9 times, but instead, map an anonymous function involving ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["FindRoot[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" onto the list ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["approx",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" to find good approximations of the nine roots.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b) Each of the functions ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["f1",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["f2",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", and ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["f3",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" defined below has a root near ",
    Evaluatable->False,
    AspectRatioFixed->True],
  Cell[BoxData[
      \(TraditionalForm\`x = 2\)]],
  StyleBox[".  Map an anonymous function involving ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["FindRoot[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" onto the list ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{f1,f2,f3}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" to find all three roots.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"f1[x_]= 2x-17Cos[x]\nf2[x_]= x^2-3Sin[x]\nf3[x_]= 2Sin[x]^2-x\n\
Plot[{f1[x],f2[x],f3[x]},{x,0,5}]"], "Input",
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["4: perfectSearch, perfectS1, perfectS2"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["A number is called ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["perfect",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontWeight->"Bold"],
  StyleBox[
  " if it is equal to the sum of its divisors (not counting itself).  Use the \
",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Divisors",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" function and write a function ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["perfectSearch[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  " with two arguments which finds all perfect numbers between the value of \
the first argument and the value of the second argument and returns a list of \
pairs, where each pair consists of the perfect number and the list of its \
divisors. For instance, ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["perfectSearch[4,8]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" should yield ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{{6,{1,2,3}}}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  " because 4 is not equal to 1 + 2;  5 is not equal to 1 (there are no \
divisors of 5 except 1 and 5); 6, however, ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["is",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[
  " equal to 1+2+3; 7 is not equal to 1; and 8 is not equal to 1 + 2 + 4.   \
Give two versions of ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["perfectSearch[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  ", one that uses a Module, and one that uses an anonymous function.  ",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "Hint:  do this problem in several steps, following a bottom-up programming \
style.  First, create a function which selects only the perfect numbers from \
the integers from the value of the first argument to the value of the second, \
so, say, ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["perfectS1[4,8]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" returns ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{6}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  ".  Then write a function which takes a list of numbers and returns the \
pairs, so that ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["perfectS2[{6}]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" returns ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{{6,{1,2,3}}}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{28, Automatic}, {30, Automatic}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@6SDQ0000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 109, 2, 136, "Title",
  Evaluatable->False],
Cell[1843, 55, 100, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1968, 61, 156, 4, 78, "Subtitle",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2149, 69, 88, 2, 46, "Subsection",
  Evaluatable->False],
Cell[2240, 73, 1891, 63, 132, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[4168, 141, 89, 2, 30, "Subsection",
  Evaluatable->False],
Cell[4260, 145, 1618, 53, 113, "Text",
  Evaluatable->False],
Cell[5881, 200, 205, 4, 50, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[6123, 209, 96, 2, 30, "Subsection",
  Evaluatable->False],
Cell[6222, 213, 556, 20, 25, "Text",
  Evaluatable->False],
Cell[6781, 235, 116, 2, 40, "Input"],
Cell[6900, 239, 386, 13, 38, "Text",
  Evaluatable->False],
Cell[7289, 254, 72, 1, 22, "Input"],
Cell[7364, 257, 759, 25, 38, "Text",
  Evaluatable->False],
Cell[8126, 284, 80, 1, 22, "Input"],
Cell[8209, 287, 177, 7, 25, "Text",
  Evaluatable->False],
Cell[8389, 296, 87, 1, 22, "Input"],
Cell[8479, 299, 830, 28, 38, "Text",
  Evaluatable->False],
Cell[9312, 329, 1247, 46, 38, "Text",
  Evaluatable->False],
Cell[10562, 377, 152, 3, 50, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[10751, 385, 118, 2, 30, "Subsection",
  Evaluatable->False],
Cell[10872, 389, 2045, 66, 103, "Text",
  Evaluatable->False],
Cell[12920, 457, 1196, 40, 64, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

