(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     10491,        402]*)
(*NotebookOutlinePosition[     11522,        435]*)
(*  CellTagsIndexPosition[     11478,        431]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["11.  Pattern Matching in Symbolic Programming:  Homework", "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  February 18 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[TextData[
"In solving problems from this point forward, incorporate the aspects of \
programming style covered in this section."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["1: multiply-defined f"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Write a multiply defined function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["f[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" such that \n(a)  ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["f[ \"dog\" ] = \"cat\"",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\n(b)  ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["f[ 4 ] = 7",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\n(c)  ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["f[ Pi ] = E",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\n(d)  ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["f",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" of an Integer other than 4 is equal to 29\n(e)  ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["f",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  " of anything else is equal to the square of the value of the parameter.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["2: triangle"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Define a function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["triangle[x]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" to be equal to ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["(1-Abs[x])",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" when ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Abs[x]<1",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" and ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["0",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" otherwise.  Plot your triangle function.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["3: sgn"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Write a definition for the function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["sgn[x]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", which is equal to ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["1",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" if ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["x",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" is positive, ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["-1",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" if ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["x",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" is negative, and ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["0",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" if ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["x",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" is zero.  Plot \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["sgn[x]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["4: doubleY"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(a) Using a structured pattern, write a function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["doubleY[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\"  that takes a pair ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{x,y}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" and returns ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{x,2y}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[". ",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["(b) Map \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["doubleY[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" onto the list ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{{1,1},{2,2}}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["5: {x,y,z} \[RightTeeArrow] {x+y,z}"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "Write a definition, using a structured pattern, for a function which \
replaces the triple ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{x,y,z}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" with the pair ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{x+y,z}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["6: enoughToAverage"], "Subsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "Averages are important only when there are enough data points.  Write a \
function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["enoughToAverage[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" which will give the average value of a list of five or more things.  If \
the list has fewer than five elements, the function should be undefined.  For \
instance:",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["enoughToAverage[{1,2,3,4,5}]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" should return ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["3",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".\n",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["enoughToAverage[{1,2,3}]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["  should return ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["enoughToAverage[{1,2,3}]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[
"Hint:  Use a pattern that checks if the input has length greater than or \
equal to five."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{20, Automatic}, {Automatic, 31}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000002n88o?mooh<<H`Ui0fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@00000000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 121, 2, 174, "Title",
  Evaluatable->False],
Cell[1855, 55, 101, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1981, 61, 156, 4, 78, "Subtitle",
  Evaluatable->False],
Cell[2140, 67, 191, 4, 46, "Text",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2356, 75, 101, 2, 46, "Subsection",
  Evaluatable->False],
Cell[2460, 79, 1368, 49, 116, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[3865, 133, 91, 2, 30, "Subsection",
  Evaluatable->False],
Cell[3959, 137, 914, 34, 47, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[4910, 176, 86, 2, 30, "Subsection",
  Evaluatable->False],
Cell[4999, 180, 1590, 62, 48, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[6626, 247, 90, 2, 30, "Subsection",
  Evaluatable->False],
Cell[6719, 251, 739, 27, 48, "Text",
  Evaluatable->False],
Cell[7461, 280, 518, 20, 31, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[8016, 305, 115, 2, 30, "Subsection",
  Evaluatable->False],
Cell[8134, 309, 592, 22, 48, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[8763, 336, 98, 2, 30, "Subsection",
  Evaluatable->False],
Cell[8864, 340, 579, 18, 63, "Text",
  Evaluatable->False],
Cell[9446, 360, 838, 31, 48, "Text",
  Evaluatable->False],
Cell[10287, 393, 164, 4, 30, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

