(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      6976,        247]*)
(*NotebookOutlinePosition[      8061,        282]*)
(*  CellTagsIndexPosition[      8017,        278]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData["17.  Recursion II:  Dynamic Programming:  Problems"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  March 23, 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[CellGroupData[{

Cell[TextData["Multiple Definitions vs. Conditionals"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["The \"",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontColor->GrayLevel[0]],
  StyleBox["recurGCD[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier",
    FontColor->GrayLevel[0]],
  StyleBox[
  "\" function uses two definitions.  Rewrite it with only a single \
definition by using an \"",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontColor->GrayLevel[0]],
  StyleBox["If[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier",
    FontColor->GrayLevel[0]],
  StyleBox["\" to treat the two cases.",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontColor->GrayLevel[0]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontFamily->"Arial",
  FontColor->RGBColor[0.500008, 0, 0.500008]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Loon Numbers"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["The first three ",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontColor->GrayLevel[0]],
  StyleBox["loon numbers",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontColor->GrayLevel[0],
    FontVariations->{"Underline"->True}],
  StyleBox[
  " are all 1.  Subsequent loon numbers are obtained by computing the sum of \
the previous three.  What is the 10th loon number?  What is the 300th loon \
number?  Hint: How can it help to compute the 100th and 200th numbers before \
trying the 300th?  If you get an error, clear and redefine before trying \
again (even if you don't change the definition).",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Times",
    FontColor->GrayLevel[0]]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontFamily->"Arial",
  FontColor->RGBColor[0.500008, 0, 0.500008]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Select"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "Many functions we know may be defined recursively.  Write a recursive \
definition for \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["recurSelect[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" which performs the same operations as \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Select[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", even with three arguments.  Do not use the \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Select[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" function in your definition.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["ToUpperCase"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Write a recursive definition for \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["toU[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", which is to mimic the operation of \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["ToUpperCase[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".  You may use \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["ToUpperCase[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" applied to a single character only.  Consider using the ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["String",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["... family of functions, including \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["StringDrop[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["StringTake[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["StringJoin[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{Automatic, 99}, {37, Automatic}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@5ca00000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 125, 2, 136, "Title",
  Evaluatable->False],
Cell[1859, 55, 99, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1983, 61, 156, 4, 78, "Subtitle",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2164, 69, 114, 2, 50, "Section",
  Evaluatable->False],
Cell[2281, 73, 898, 32, 48, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[3216, 110, 89, 2, 30, "Section",
  Evaluatable->False],
Cell[3308, 114, 936, 26, 94, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[4281, 145, 83, 2, 30, "Section",
  Evaluatable->False],
Cell[4367, 149, 875, 29, 64, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[5279, 183, 88, 2, 30, "Section",
  Evaluatable->False],
Cell[5370, 187, 1566, 55, 82, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

