(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     12687,        439]*)
(*NotebookOutlinePosition[     13770,        474]*)
(*  CellTagsIndexPosition[     13726,        470]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["21. Function Calls:  Problems", "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData["Last revision:  April 15, 1997"], "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[CellGroupData[{

Cell[TextData["saveTranspose"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["The ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Mathematica",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[" function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Transpose[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" takes a two-dimensional matrix and returns a matrix with the dimensions \
interchanged (so if the previous size was \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["2,3",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", the new matrix has size \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["3,2",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\") such that the element at array indices \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["i,j",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" is the element of the old matrix at array indices \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["j,i",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".  Without using \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Transpose[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\", write your own function to perform the same operation, except that you \
save the result back in the parameter you are passed using call-by-name.  You \
do not need to mimic the action of \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Transpose[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" on two arguments.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Exchanging Two Columns"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "Suppose you have two matrices (two-dimensional arrays) which have the same \
number of rows, and we wish to exchange column \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["i",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" from the first matrix with column \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["j",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" of the second.  Assume you are given two matrices as arguments together \
with the additional parameters \"i\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["j",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\"; perform the operation, using call-by-name to place the results back in \
the original parameters.  (Don't use the ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Mathematica",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[" function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Transpose[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\"; use your own if needed.)",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Swap"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Define a function which takes two names \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["a",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["b",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and replaces \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["a",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" with the value of \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["b",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\", \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["b",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" with the value of \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["a",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\".  Use call-by-name.  Note:  make sure that you assign values to \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["a",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["b",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" before you execute your swap function on them; for instance, execute \
\"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["a=1;b=2;",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" beforehand so that there will be values, and not just names, to swap.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Counting"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Evaluate the definition of ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["makeCounter",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".  We'll talk about it more in a later lesson ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["(hope, hope)",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSize->9],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Clear[makeCounter];",
    AspectRatioFixed->True,
    FontSize->9,
    FontWeight->"Plain"],
  StyleBox["\n",
    AspectRatioFixed->True,
    FontSize->9],
  StyleBox[
  "makeCounter::usage=\"makeCounter[] returns a message-driven function\n\
which manipulates a \\\"hidden\\\" counter variable.  The initial value\nof \
the counter variable may be set via an optional argument to\nmakeCounter \
(default is 0).  Valid messages for the function are\n\\\"++\\\" (increment), \
\\\"--\\\" (decrement), \\\"value\\\", and \\\"reset\\\".\nFor example, ctr = \
makeCounter[100]; ctr[\\\"value\\\"] returns 100.\";",
    AspectRatioFixed->True,
    FontSize->9,
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["\n\n",
    AspectRatioFixed->True,
    FontSize->9],
  StyleBox[
  "makeCounter[\n  defaultValue_Integer:0\n] := \n  Module[\n    { counter = \
defaultValue,\n      changeCounter\n    },\n    changeCounter[msg_String:\"++\
\"] :=\n      Switch[msg, \n        \"++\", \n          counter = counter + \
1; counter, \n        \"--\", \n          counter = counter - 1; counter,\n   \
     \"value\",\n          counter,\n        \"reset\",\n          counter = \
defaultValue; counter,\n        _,\n          Print[\"Unknown message to \
counter:\", msg];\n          counter\n      ];\n    changeCounter\n  ];\n\n\
?makeCounter",
    AspectRatioFixed->True]
}], "Input",
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Now consider a functions ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["triplicate",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" and ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["triplicateH",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  ".  Both functions return a list of length three, each entry of which is a \
copy of the argument.  ",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["Clear[c1, c2];\n",
    AspectRatioFixed->True,
    FontSize->9],
  StyleBox[
  "ctr1 = makeCounter[]; c1 := ctr1[\"++\"];\nctr2 = makeCounter[100]; c2 := \
ctr2[\"++\"];\n\n",
    AspectRatioFixed->True],
  StyleBox["Clear[triplicateH,triplicate];\n",
    AspectRatioFixed->True,
    FontSize->9],
  StyleBox[
  "triplicate[x_] := {x,x,x};\n\nSetAttributes[triplicateH, HoldAll];\n\
triplicateH[x_Symbol] := {x,x,x};",
    AspectRatioFixed->True]
}], "Input",
  AspectRatioFixed->True],

Cell[TextData["Evaluate the following two calls to these functions."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData["triplicate[c1]"], "Input",
  AspectRatioFixed->True],

Cell[TextData["triplicateH[c2]"], "Input",
  AspectRatioFixed->True],

Cell[TextData[
"Explain the how this example distinguishes between call-by-value and \
call-by-name evaluation."], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Extra Credit: Wasting time."], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox[
  "Define a function whose evaluation takes longer when implemented using \
call-by-name than it does when implemented using call-by-value.  \n\n(Your \
function doesn't have to do anything \"meaningful\" -- it can just waste time \
on spurious computation.  Provide two versions, ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["waste[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" and ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["wasteH[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  ", and show timing results which demonstrate that the \"held\" version is \
slower.  Explain why this is so in your example.)",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"Macintosh 3.0",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{633, 514},
WindowMargins->{{4, Automatic}, {Automatic, 1}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@5caU0000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 94, 2, 98, "Title",
  Evaluatable->False],
Cell[1828, 55, 109, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1962, 61, 156, 4, 78, "Subtitle",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2143, 69, 90, 2, 50, "Section",
  Evaluatable->False],
Cell[2236, 73, 2008, 67, 99, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[4281, 145, 99, 2, 30, "Section",
  Evaluatable->False],
Cell[4383, 149, 1432, 47, 98, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[5852, 201, 81, 2, 30, "Section",
  Evaluatable->False],
Cell[5936, 205, 1981, 73, 51, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[7954, 283, 85, 2, 30, "Section",
  Evaluatable->False],
Cell[8042, 287, 555, 20, 25, "Text",
  Evaluatable->False],
Cell[8600, 309, 1424, 32, 340, "Input"],
Cell[10027, 343, 621, 22, 38, "Text",
  Evaluatable->False],
Cell[10651, 367, 513, 16, 100, "Input"],
Cell[11167, 385, 126, 2, 25, "Text",
  Evaluatable->False],
Cell[11296, 389, 67, 1, 22, "Input"],
Cell[11366, 392, 68, 1, 22, "Input"],
Cell[11437, 395, 170, 4, 25, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[11644, 404, 104, 2, 30, "Section",
  Evaluatable->False],
Cell[11751, 408, 896, 26, 90, "Text",
  Evaluatable->False]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

