(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     10033,        291]*)
(*NotebookOutlinePosition[     11122,        326]*)
(*  CellTagsIndexPosition[     11078,        322]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData["14. Review for Midterm"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  February 18 1998", "SmallText"],

Cell[CellGroupData[{

Cell[TextData["Review for Midterm"], "Section",
  Evaluatable->False],

Cell[TextData[
"There is no new material in this section; we simply list topics and \
functions with which you should be familiar in order to perform well on the \
midterm.  Experiment with functions with which you are unfamiliar, and ask \
your instructor nagging questions you forgot to ask weeks ago."], "Text",
  Evaluatable->False],

Cell[CellGroupData[{

Cell[TextData["Topics"], "Subsection",
  Evaluatable->False],

Cell[TextData[{
  StyleBox["Arithmetic Operations ",
    Evaluatable->False],
  StyleBox["(+, -, *, /, ^",
    Evaluatable->False,
    FontFamily->"Courier"],
  StyleBox[", etc.)\nBoolean Operations (",
    Evaluatable->False],
  StyleBox[">, <",
    Evaluatable->False,
    FontFamily->"Courier"],
  StyleBox[", etc.)\nOperator Precedence and Associativity\nExact Values, \
Approximate Values\nMachine-Precision Integers, Machine-Precision \
Approximations, Bits\nData Types (",
    Evaluatable->False],
  StyleBox["Integer, Rational, Real, List, String",
    Evaluatable->False,
    FontFamily->"Courier"],
  StyleBox[", etc.)\nScientific Functions (",
    Evaluatable->False],
  StyleBox["Sin[], Cos[]",
    Evaluatable->False,
    FontFamily->"Courier"],
  StyleBox[", etc.)\nPlotting (functions, lists of points)\nSource Code, \
Interpreted vs. Compiled Languages\nDefining Functions, Substituting Values \
using Rules\nFormal and Actual Parameters\nBottom-Up Analysis, Top-Down \
Analysis\nList-based Programming; Programming Paradigms\nIterators\n\
Programming as Grammar:  Nouns, Verbs, Adverbs\nStrings, String Functions, \
Special Characters in Strings\nModules, Organization\nLocal Variables, Side \
Effects, Scope, Initialization of Constants\nProgramming Style, Comments, \
Readability\nAnonymous Functions, Inline Functions\nData Type Checking, \
Pattern Matching in Arguments, Conditional Evaluation\nUsage Lines\n\
Structured Patterns for Conditional Evaluation",
    Evaluatable->False]
}], "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Functions"], "Subsection",
  Evaluatable->False],

Cell[TextData[StyleBox[
"Sin[], Cos[], Tan[], Exp[], Sqrt[], Arcsin[], Arccos[], Arctan[], N[], \
Plot[]\nPlus[], Times[], Subtract[], Log[], Clear[], NSolve[], FindRoot[]\n\
Set[], SetDelayed[]\nGreater[], Less[], GreaterEqual[], LessEqual[], Equal[], \
NotEqual[], Not[]\nAddTo[], SubtractFrom[], MultiplyBy[], DivideBy[], \
Increment, Decrement, PreIncrement[]\nPreDecrement[], SetDelayed[], Rule[], \
Part[], Random[], Table[], Union[], Length[], Sum[]\nListPlot[], Position[], \
Map[], Reverse[], Sort[], Transpose[], First[], Last[], Rest[]\nPartition[], \
List[], Range[], Take[], Drop[], Inner[], Outer[], Apply[], MapThread[], \
Join[]\nNest[], NestList[], Fold[], FoldList[], Function[]\nStringLength[], \
ToCharacterCode[], FromCharacterCode[], Characters[], StringJoin[], \
StringTake[], StringReverse[], StringDrop[]\nToUpperCase[], TableForm[], \
Module[], With[], Select[], Trace[], Count[], RotateLeft[]\nRotateRight[], \
Dimensions[], Flatten[], ?, ??, Append[], Prepend[]\nIntersection[], \
Complement[], \n<, >, <=, >=, ==, !=, !, +=, -=, *=, /=, ++, --, ->, /., \
[[]], ; , +, -, *,  / , ^, &&, ||, \"\", []\nIntegerQ[], DigitQ[], \
Positive[], Insert[], UpperCaseQ[], LowerCaseQ[], NumberQ[]\nOddQ[], EvenQ[], \
PrimeQ[], MatchQ[] ",
  Evaluatable->False,
  FontFamily->"Courier"]], "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData["Summary by Lesson"], "Subsection",
  Evaluatable->False],

Cell[TextData[{
  "1:  Arithmetic: Syntax, Data Types, Operators, and Expressions\n\n2:  \
Course Goals and Themes\n\n3:  Defining Variables and Functions\n",
  StyleBox["     Set  \n     =\n     SetDelayed  \n     :=\n     ",
    FontFamily->"Courier"],
  StyleBox["function",
    FontFamily->"Courier",
    FontSlant->"Italic"],
  StyleBox["[",
    FontFamily->"Courier"],
  StyleBox["parameter",
    FontFamily->"Courier",
    FontSlant->"Italic"],
  StyleBox["_] :=",
    FontFamily->"Courier"],
  "\n\n4: ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " operations introduced: \n",
  StyleBox["     [[ ]]     ",
    FontFamily->"Courier"],
  "(list extraction operator)",
  StyleBox[
  "\n     Random[]\n     Table[]\n     Union[]\n     Length[]\n     Sum[]\n   \
  ListPlot[]",
    FontFamily->"Courier"],
  "\n\n5: ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " operations/structures introduced: \n",
  StyleBox[
  "     Factoria[]\n     Range[]\n     Apply[]\n     Do[]\n     Module[]\n    \
 Part[]\n     Position[]\n     Sort[]\n     Reverse[]\n     Attributes[]\n    \
 Map[]\n     Union[]\n     Append[]\n     Prepend[]\n     First[]\n     \
Last[]\n     Transpose[]\n     Table[]\n     Take[]\n     Partition[]",
    FontFamily->"Courier"],
  "\n\n6: ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " operations/structures introduced: \n",
  StyleBox[
  "     FullForm[]\n     Part[]\n     Take[]\n     Drop[]\n     Outer[]\n     \
TableForm[]\n     MapThread[]\n     . ",
    FontFamily->"Courier"],
  "operator",
  StyleBox["\n     Dot[]",
    FontFamily->"Courier"],
  "\n\n7: ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " operations/structures introduced: \n",
  StyleBox["     Nest[]\n     NestList[]\n     Fold[]\n     FoldList[]",
    FontFamily->"Courier"],
  "\n\n8: ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " operations/structures introduced: \n",
  StyleBox[
  "     StringLength[]\n     FromCharacterCode[]\n     ToCharacterCode[]\n    \
 \\\"  \\\\  \\n  \\t  \\b\n     StringJoin[]\n     StringReverse[]\n     \
StringTake[]\n     StringDrop[]\n     $StringOrder\n     DigitQ[]\n     \
LetterQ[]\n     UpperCaseQ[]\n     LowerCaseQ[]\n     ToUpperCase[]\n     \
ToLowerCase[]\n     Characters[]\n     <>\n",
    FontFamily->"Courier"],
  "\n9: ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " operations/structures introduced: \n",
  StyleBox["     Module\n     With[]\n",
    FontFamily->"Courier"],
  "     ",
  StyleBox["variable scope",
    FontSlant->"Italic"],
  "\n\n10: ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " operations/structures introduced: \n",
  StyleBox["     ",
    FontFamily->"Courier"],
  StyleBox["anonymous functions",
    FontSlant->"Italic"],
  ";",
  StyleBox[
  " #  &\n     First[]\n     Last[]\n     Select[]\n     NumberQ[], \
IntegerQ[], EvenQ[], OddQ[], PrimeQ[]\n",
    FontFamily->"Courier"],
  "\n11: ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " operations/structures introduced: \n",
  StyleBox["     ",
    FontFamily->"Courier"],
  StyleBox["parameter",
    FontFamily->"Courier",
    FontSlant->"Italic"],
  StyleBox["_?",
    FontFamily->"Courier"],
  StyleBox["testQ",
    FontFamily->"Courier",
    FontSlant->"Italic"],
  StyleBox["\n     Print[]\n     Trace[]\n     ??",
    FontFamily->"Courier"],
  StyleBox["name",
    FontFamily->"Courier",
    FontSlant->"Italic"],
  StyleBox["\n     ::usage=\n     Positive[]\n     /;\n     \\;\n",
    FontFamily->"Courier"],
  "\n12: ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " operations/structures introduced: \n",
  StyleBox["     MatchQ[]\n     ",
    FontFamily->"Courier"],
  StyleBox["parameter",
    FontFamily->"Courier",
    FontSlant->"Italic"],
  StyleBox["___\n     Count[]\n     RotateLeft[]\n     :",
    FontFamily->"Courier"],
  StyleBox["defaultValue",
    FontFamily->"Courier",
    FontSlant->"Italic"],
  StyleBox["\n",
    FontFamily->"Courier"],
  "\n13: ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " operations/structures introduced: \n",
  StyleBox["     IntegerDigits[",
    FontFamily->"Courier"],
  StyleBox["number",
    FontFamily->"Courier",
    FontSlant->"Italic"],
  StyleBox[", ",
    FontFamily->"Courier"],
  StyleBox["base",
    FontFamily->"Courier",
    FontSlant->"Italic"],
  StyleBox[
  "]\n     $MinMachineNumber\n     $MaxMachineNumber\n     $MachinePrecision",
    
    FontFamily->"Courier"]
}], "SmallText"]
}, Closed]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Macintosh",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{12, Automatic}, {Automatic, 16}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@6SDO0000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 97, 2, 98, "Title",
  Evaluatable->False],
Cell[1839, 55, 53, 0, 26, "SmallText"],

Cell[CellGroupData[{
Cell[1917, 59, 69, 1, 50, "Section",
  Evaluatable->False],
Cell[1989, 62, 336, 5, 78, "Text",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2350, 71, 60, 1, 46, "Subsection",
  Evaluatable->False],
Cell[2413, 74, 1537, 35, 382, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[3987, 114, 63, 1, 30, "Subsection",
  Evaluatable->False],
Cell[4053, 117, 1333, 20, 478, "Text",
  Evaluatable->False]
}, Closed]],

Cell[CellGroupData[{
Cell[5423, 142, 71, 1, 30, "Subsection",
  Evaluatable->False],
Cell[5497, 145, 4496, 141, 1580, "SmallText"]
}, Closed]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

