(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     21552,        752]*)
(*NotebookOutlinePosition[     22642,        787]*)
(*  CellTagsIndexPosition[     22598,        783]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData["Project 5"], "Title",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell["Last revision:  March 24 1998", "SmallText",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData["Author: YourNameGoesHere"], "Subtitle",
  CellFrame->True,
  Evaluatable->False,
  AspectRatioFixed->True,
  Background->GrayLevel[0.899992]],

Cell[CellGroupData[{

Cell[TextData["Part A (Individually Pledged):  Digits"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["1",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontWeight->"Bold"],
  StyleBox[". Write a function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["digitList[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" that takes a positive integer amd returns a list of its digits; for \
example, \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["digitList[96327]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\" returns \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{9,6,3,2,7}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".  Of course, don't use the ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Mathematica",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[" command \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["IntegerDigits[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\".  Also, don't use any string functions.  Hint:  how can you get ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["9632",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" from ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["96327",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["?  (Hint: use ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Mathematica",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox["'s ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Mod[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" and ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Quotient[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" functions.)",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[BoxData[
    \(Quotient[96327, 10]\)], "Input"],

Cell[BoxData[
    \(9632\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Mod[9, 10]\)], "Input"],

Cell[BoxData[
    \(9\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(digitList[n_Integer, accum_List: {}] := \[IndentingNewLine]If[
        n \[Equal] {}, "\<Integer Please\>"], \[IndentingNewLine]If[n > 0, 
      digitList[
        Quotient[n, 10]]], \[IndentingNewLine]\(\(If\)\([\)\(n\)\)\)], "Input"],

Cell[BoxData[
    \(Syntax::"tsntxi" \(\(:\)\(\ \)\) 
      "\"\!\(\(\(\(\(digitList[\(\(n_Integer, \(\(accum_List: \
\(\({}\)\)\)\)\)\)]\)\) := \(\(If[\(\(\(\(n \[Equal] \(\({}\)\)\)\), \
\"Integer Please\"\)\)]\)\)\)\) \(\(\[LeftSkeleton] 1 \[RightSkeleton]\)\) \(\
\(\(\(If[\(\(\[LeftSkeleton] 1 \[RightSkeleton]\)\)]\)\) ;\)\)\)\" is \
incomplete; more input is needed.\!\(\"\"\)"\)], "Message"],

Cell[BoxData[
    StyleBox[
      ErrorBox[\(digitList[n_Integer, accum_List: {}] := 
          If[n \[Equal] {}, "\<Integer Please\>"], 
        If[n > 0, digitList[Quotient[n, 10]]]; \)],
      ShowStringCharacters->True]], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(digitList[1234]\)], "Input"],

Cell[BoxData[
    \(If::"argb" \(\(:\)\(\ \)\) 
      "\!\(If\) called with \!\(5\) arguments; between \!\(2\) and \!\(4\) \
arguments are expected."\)], "Message"],

Cell[BoxData[
    \(If[1234 == {}, "Integer Please", True, digitList[Quotient[1234, 10]], 
      Null]\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[
"Part B (Individually Pledged or Pledged with One Partner):  Sorting and \
Delivering"], "Section",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox[" Quicksort: ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["attachLists[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier",
    FontWeight->"Plain"],
  StyleBox[" & ",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontWeight->"Plain"],
  StyleBox["pivot[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier",
    FontWeight->"Plain"]
}], "Subsubsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["2",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontWeight->"Bold"],
  StyleBox[". Write a function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["attachLists[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" which takes two lists and returns their concatenation.  For instance, ",
    
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["attachLists[{\"m\",\"a\",\"d\"},{\"d\",\"o\",\"g\"}]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" returns ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{\"m\",\"a\",\"d\",\"d\",\"o\",\"g\"}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".  \n\nOf course, don't use the ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Mathematica",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[" function ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Join[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".  The ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["only",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontVariations->{"Underline"->True}],
  StyleBox[" ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Mathematica",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSlant->"Italic"],
  StyleBox[" supplied ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["List",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" manipulating functions you may use are ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["First[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Rest[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Append[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" and ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["Prepend[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".  (Use recursion.)",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?Rest\)\)], "Input"],

Cell[BoxData[
    \("Rest[expr] gives expr with the first element removed."\)], "Print"]
}, Open  ]],

Cell[BoxData[{
    \(Clear[attachList]\), "\[IndentingNewLine]", 
    \(\(attachList[n_List, 
          x_List] := \[IndentingNewLine]Which[\[IndentingNewLine]True, 
          attachList[First[n], 
            Append[First[n], Rest[x]]], \[IndentingNewLine]True, 
          attachList[First[n], 
            Append[Rest[n], First[x]]], \[IndentingNewLine]];\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(attachList[{1, 2, 3}, {4, 5, 6}]\)], "Input"],

Cell[BoxData[
    \(Which::"argct" \(\(:\)\(\ \)\) 
      "\!\(Which\) called with \!\(5\) arguments."\)], "Message"],

Cell[BoxData[
    \(Which[True, 
      attachList[First[{1, 2, 3}], 
        Append[First[{1, 2, 3}], Rest[{4, 5, 6}]]], True, 
      attachList[First[{1, 2, 3}], 
        Append[Rest[{1, 2, 3}], First[{4, 5, 6}]]], Null]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(?x\)\)], "Input"],

Cell[BoxData[
    \("Global`x"\)], "Print"]
}, Open  ]],

Cell[TextData[{
  StyleBox["3",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontWeight->"Bold"],
  StyleBox[". Complete the supplied definition for  \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["pivot[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["\".  ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["pivot[x, orig]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" returns a pair of lists, ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{s, t}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[", where ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["s",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" is the list of those items in ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["orig",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" which are less than ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["x",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" (via ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["OrderedQ",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[") and ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["t",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" is the list of those items in ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["orig",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" which are greater than or equal to ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["x",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".  For example, ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["pivot[3, {5,2,3,1,4}]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" returns ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{{2,1},{5,3,4}}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[".",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox["pivot[x_, orig_List, less_List:{},  more_List:{}] := \n  Which[\n \
   orig == {}, \n      {less, more}, \n    OrderedQ[{x, First[orig]}], \n     \
 pivot[\n        x,\n        ",
    AspectRatioFixed->True],
  StyleBox["(* you fill in the other 3 arguments *)",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["\n        ], \n    True, \n      pivot[\n        x,\n        ",
    AspectRatioFixed->True],
  StyleBox["(* you fill in the other 3 arguments *)",
    AspectRatioFixed->True,
    FontWeight->"Plain",
    FontColor->RGBColor[1, 0, 0]],
  StyleBox["\n        ] \n  ];",
    AspectRatioFixed->True]
}], "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Syntax::"com" \(\(:\)\(\ \)\) 
      "Warning: comma encountered with no adjacent expression; the expression \
will be treated as Null. \!\(\"\\n\"\)"\)], "Message"],

Cell[BoxData[
    \(Syntax::"com" \(\(:\)\(\ \)\) 
      "Warning: comma encountered with no adjacent expression; the expression \
will be treated as Null. \!\(\"\\n\"\)"\)], "Message"]
}, Open  ]],

Cell[TextData[{
  StyleBox["Remark",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSize->10,
    FontWeight->"Bold"],
  StyleBox[".  \"",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSize->10],
  StyleBox["pivot[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier",
    FontSize->10],
  StyleBox["\" and \"",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSize->10],
  StyleBox["attachLists[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier",
    FontSize->10],
  StyleBox[
  "\" can be used  to write a sorting function following a version of the \
\"quicksort\" algorithm invented in 1960 by C. A. R. \"Tony\" Hoare of Great \
Britain.  [Hoare, \"Quicksort\", Computer Journal 5(1), 1962, 10-15]  We call \
this function \"",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSize->10],
  StyleBox["hsort[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier",
    FontSize->10],
  StyleBox["\" after Mr. Hoare. ",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontSize->10]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True,
  FontSize->10],

Cell[TextData[
"Clear[hsort];\n\nhsort::usage=\"hsort[s] returns a copy of list s, \
rearranged in ascending order\";\n\nhsort[s_List]:=\n  If[\n    s=={},\n    \
{},\n    Module[\n      {smaller, bigger, frst = First[s]},\n      {smaller, \
bigger} = pivot[frst, Rest[s]];\n      attachLists[\n        \
Append[hsort[smaller], frst],\n        hsort[bigger]]\n    ]\n  ];"], "Input",\

  AspectRatioFixed->True,
  FontSize->9],

Cell[TextData[{
  StyleBox["(* testing *)\nhsort[{\"m\",\"a\",\"d\",\"d\",\"o\",\"g\"}]\n",
    AspectRatioFixed->True,
    FontSize->9],
  StyleBox["(* ... should return {\"a\",\"d\",\"d\",\"g\",\"m\",\"o\"} *)",
    AspectRatioFixed->True,
    FontSize->9,
    FontWeight->"Plain",
    FontColor->GrayLevel[0.499992]],
  StyleBox["",
    AspectRatioFixed->True,
    FontSize->9]
}], "Input",
  AspectRatioFixed->True,
  FontSize->9]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  StyleBox[" Radioactive Waste Delivery: ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["minExposure[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier",
    FontWeight->"Plain"]
}], "Subsubsection",
  Evaluatable->False,
  AspectRatioFixed->True],

Cell[TextData[{
  StyleBox["4",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontWeight->"Bold"],
  StyleBox[
  ". Your job is to drop off barrels of radioactive waste on a long straight \
stretch of desert highway.  You can survive exposure to 50 barrel-hours of \
radiation, i.e., 50 hours exposed to 1 barrel, 25 to two barrels, and so on.  \
You begin with 20 barrels on your truck, and you will need to reach 4 \
delivery sites, as follows:\n\n",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["      ",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["Site A is one hour to the west and requires 9 barrels.\n",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["      ",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["Site B is two hours to the west and requires 1 barrel.\n",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["      ",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox["Site C is one hour to the east and requires 8 barrels.\n",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["      ",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "Site D is two hours to the east and requires 2 barrels.\n\nDetermine the \
route.  Draw a diagram and work the example by hand!\n\nNow what we really \
want is a program to solve any such similar problem.  Let's say that a \
position pair is a pair ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{x,y}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" where ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["x",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  " represents some number of hours to the east (which may be zero, or even \
negative for points west) and ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["y",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  " represents a number of barrels.  Our function will have three arguments:  \
a list of position pairs to the west, in order from farthest to closest \
(representing sites which need barrels), a position pair which represents the \
location of the truck and its load, and a list of position pairs to the east, \
in order from closest to farthest (representing sites which need barrels).  \
Hence for the above example we would give our function the arguments \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{{-2,1},{-1,9}}, {0,20}, {{1,8},{2,2}}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\".  Let's consider this collection a state.  \n\nIn making various \
choices of paths to take, the state changes.   For instance, if we moved one \
place west (and deposited the barrels), the new state would be \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{{-2,1}}, {-1,11}, {{1,8},{2,2}}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" and we would have been exposed to 20 barrel-hours of radioactivity.  We \
might move next west another place, reaching state \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{}, {-2,10}, {{1,8},{2,2}}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" and costing an additional 11 barrel-hours.  Instead, we might move east \
two places, reaching state \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["{{-2,1}}, {1,3}, {{2,2}}",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" and costing an additional 22 barrel-hours. \n\nUse recursion to define \
a function \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["minExposure[]",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  "\" that takes a system state (3 lists, as above) and returns the total \
exposure (in barrel-hours) of the best route that will complete all \
deliveries.  \n\nIn the above example, \"",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["minExposure[{{-2,1},{-1,9}},{0,20},{{1,8},{2,2}}]\"",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[" returns ",
    Evaluatable->False,
    AspectRatioFixed->True],
  StyleBox["49",
    Evaluatable->False,
    AspectRatioFixed->True,
    FontFamily->"Courier"],
  StyleBox[
  ".  For full credit, use dynamic programming or tail recursion to speed up \
your program.",
    Evaluatable->False,
    AspectRatioFixed->True]
}], "Text",
  Evaluatable->False,
  AspectRatioFixed->True]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Macintosh",
ScreenRectangle->{{0, 832}, {0, 604}},
WindowToolbars->{},
WindowSize->{520, 509},
WindowMargins->{{140, Automatic}, {Automatic, 31}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003809T?o>old</PW30fL5:0?l0080004/0B`000000]P2:001
0000I00000400`<300000BL?00400@5ca00000000000060801T1T000000`0000
00000000004000000000000000000000\>"
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 84, 2, 98, "Title",
  Evaluatable->False],
Cell[1826, 55, 98, 2, 26, "SmallText",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[1949, 61, 156, 4, 77, "Subtitle",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[2130, 69, 115, 2, 50, "Section",
  Evaluatable->False],
Cell[2248, 73, 2232, 83, 100, "Text",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[4505, 160, 52, 1, 27, "Input"],
Cell[4560, 163, 38, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4635, 169, 43, 1, 27, "Input"],
Cell[4681, 172, 35, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4753, 178, 255, 4, 75, "Input"],
Cell[5011, 184, 399, 6, 63, "Message"],
Cell[5413, 192, 236, 5, 49, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5686, 202, 48, 1, 27, "Input"],
Cell[5737, 205, 164, 3, 35, "Message"],
Cell[5904, 210, 116, 2, 41, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[6069, 218, 162, 4, 68, "Section",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[6256, 226, 519, 20, 42, "Subsubsection",
  Evaluatable->False],
Cell[6778, 248, 2608, 96, 130, "Text",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[9411, 348, 42, 1, 27, "Input"],
Cell[9456, 351, 88, 1, 22, "Print"]
}, Open  ]],
Cell[9559, 355, 373, 7, 139, "Input"],

Cell[CellGroupData[{
Cell[9957, 366, 65, 1, 27, "Input"],
Cell[10025, 369, 117, 2, 21, "Message"],
Cell[10145, 373, 235, 5, 71, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10417, 383, 39, 1, 27, "Input"],
Cell[10459, 386, 43, 1, 22, "Print"]
}, Open  ]],
Cell[10517, 390, 2512, 94, 80, "Text",
  Evaluatable->False],

Cell[CellGroupData[{
Cell[13054, 488, 725, 18, 252, "Input"],
Cell[13782, 508, 185, 3, 63, "Message"],
Cell[13970, 513, 185, 3, 63, "Message"]
}, Open  ]],
Cell[14170, 519, 1201, 44, 59, "Text",
  Evaluatable->False],
Cell[15374, 565, 426, 8, 216, "Input"],
Cell[15803, 575, 434, 14, 48, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16274, 594, 313, 11, 42, "Subsubsection",
  Evaluatable->False],
Cell[16590, 607, 4910, 139, 608, "Text",
  Evaluatable->False]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

